package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsBigStrongAward;
import com.ruoyi.jjh.declaration.entity.BmsProjectSettlementAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsBigStrongAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsBigStrongAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsBigStrongAwardService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 做大做强奖详情Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@RestController
@Api(tags = "做大做强奖")
@RequestMapping("/system/bigStrongAward")
public class BmsBigStrongAwardController extends BaseController {
    @Autowired
    private IBmsBigStrongAwardService bmsBigStrongAwardService;

    @Resource
    private JProjectService jProjectService;
    /**
     * 查询做大做强奖详情列表
     */
//    @RequiresPermissions("system:bigStrongAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsBigStrongAward bmsBigStrongAward) {
        startPage();
        List<BmsBigStrongAward> list = bmsBigStrongAwardService.selectBmsBigStrongAwardList(bmsBigStrongAward);
        return getDataTable(list);
    }

    /**
     * 导出做大做强奖详情列表
     */
//    @RequiresPermissions("system:bigStrongAward:export")
    @Log(title = "做大做强奖详情", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsBigStrongAward bmsBigStrongAward) {
        List<BmsBigStrongAward> list = bmsBigStrongAwardService.selectBmsBigStrongAwardList(bmsBigStrongAward);
        ExcelUtil<BmsBigStrongAward> util = new ExcelUtil<BmsBigStrongAward>(BmsBigStrongAward.class);
        util.exportExcel(response, list, "做大做强奖详情数据");
    }

    /**
     * 获取做大做强奖详情详细信息
     */
//    @RequiresPermissions("system:bigStrongAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsBigStrongAwardService.selectBmsBigStrongAwardById(id));
    }

    /**
     * 新增做大做强奖详情
     */
//    @RequiresPermissions("system:bigStrongAward:add")
    @Log(title = "做大做强奖详情", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsBigStrongAwardAddDto bmsBigStrongAwardAddDto) {
        return toAjax(bmsBigStrongAwardService.insertBmsBigStrongAward(bmsBigStrongAwardAddDto));
    }

    /**
     * 修改做大做强奖详情
     */
//    @RequiresPermissions("system:bigStrongAward:edit")
    @Log(title = "做大做强奖详情", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsBigStrongAwardUpdateDto bmsBigStrongAwardUpdateDto) {
        return toAjax(bmsBigStrongAwardService.updateBmsBigStrongAward(bmsBigStrongAwardUpdateDto));
    }

    /**
     * 修改做大做强奖（只做修改，不做逻辑）
     */
    @ApiOperation(value = "修改做大做强奖（只做修改，不做逻辑）")
//    @RequiresPermissions("system:industrialInternetAward:edit")
    @Log(title = "修改做大做强奖（只做修改，不做逻辑）", businessType = BusinessType.UPDATE)
    @PutMapping("/update")
    public AjaxResult update(@RequestBody BmsBigStrongAward bmsBigStrongAward) {
        bmsBigStrongAwardService.updateById(bmsBigStrongAward);
        JProject jps = new JProject();
        jps.setId(bmsBigStrongAward.getJjhProjectId());
        jps.setFileJson("{" +
                '"' + "企业近3年发展情况及未来发展计划" + '"' + ":" + '"' + bmsBigStrongAward.getDevelopmentPlan() + '"' +
                "}");
        return toAjax(jProjectService.updateById(jps));
    }

    /**
     * 删除做大做强奖详情
     */
//    @RequiresPermissions("system:bigStrongAward:remove")
    @Log(title = "做大做强奖详情", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsBigStrongAwardService.deleteBmsBigStrongAwardByIds(ids));
    }
}
