package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.jjh.declaration.entity.BmsBrandingAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsBrandingAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsBrandingAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsBrandingAwardService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 品牌打造奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@Api(tags = "品牌打造奖补")
@RestController
@RequestMapping("/system/brandingAward")
public class BmsBrandingAwardController extends BaseController {
    @Autowired
    private IBmsBrandingAwardService bmsBrandingAwardService;

    @Resource
    private JProjectService jProjectService;
    /**
     * 查询品牌打造奖补列表
     */
//    @RequiresPermissions("system:brandingAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsBrandingAward bmsBrandingAward) {
        startPage();
        List<BmsBrandingAward> list = bmsBrandingAwardService.selectBmsBrandingAwardList(bmsBrandingAward);
        return getDataTable(list);
    }

    /**
     * 导出品牌打造奖补列表
     */
//    @RequiresPermissions("system:brandingAward:export")
    @Log(title = "品牌打造奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsBrandingAward bmsBrandingAward) {
        List<BmsBrandingAward> list = bmsBrandingAwardService.selectBmsBrandingAwardList(bmsBrandingAward);
        ExcelUtil<BmsBrandingAward> util = new ExcelUtil<BmsBrandingAward>(BmsBrandingAward.class);
        util.exportExcel(response, list, "品牌打造奖补数据");
    }

    /**
     * 获取品牌打造奖补详细信息
     */
//    @RequiresPermissions("system:brandingAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsBrandingAwardService.selectBmsBrandingAwardById(id));
    }

    /**
     * 新增品牌打造奖补
     */
//    @RequiresPermissions("system:brandingAward:add")
    @Log(title = "品牌打造奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsBrandingAwardAddDto bmsBrandingAwardAddDto) {
        return toAjax(bmsBrandingAwardService.insertBmsBrandingAward(bmsBrandingAwardAddDto));
    }

    /**
     * 修改品牌打造奖补
     */
//    @RequiresPermissions("system:brandingAward:edit")
    @Log(title = "品牌打造奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsBrandingAwardUpdateDto bmsBrandingAwardUpdateDto) {
        return toAjax(bmsBrandingAwardService.updateBmsBrandingAward(bmsBrandingAwardUpdateDto));
    }

    /**
     * 修改品牌打造奖补（只做修改，不做逻辑）
     */
    @ApiOperation(value = "修改品牌打造奖补（只做修改，不做逻辑）")
//    @RequiresPermissions("system:industrialInternetAward:edit")
    @Log(title = "修改品牌打造奖补（只做修改，不做逻辑）", businessType = BusinessType.UPDATE)
    @PutMapping("/update")
    public AjaxResult update(@RequestBody BmsBrandingAward bmsBrandingAward) {
        bmsBrandingAwardService.updateById(bmsBrandingAward);
        JProject jp = new JProject();
        jp.setId(bmsBrandingAward.getJjhProjectId());
        jp.setFileJson("{" +
                '"' + "证明材料" + '"' + ":" + '"' + bmsBrandingAward.getEvidence() + '"' +
                "}");

        return toAjax(jProjectService.updateById(jp));
    }

    /**
     * 删除品牌打造奖补
     */
//    @RequiresPermissions("system:brandingAward:remove")
    @Log(title = "品牌打造奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsBrandingAwardService.deleteBmsBrandingAwardByIds(ids));
    }
}
