package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsCarrierConstructionAward;
import com.ruoyi.jjh.declaration.entity.BmsProjectSettlementAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsCarrierConstructionAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsCarrierConstructionAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsCarrierConstructionAwardService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 载体建设奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@Api(tags = "载体建设奖补")
@RestController
@RequestMapping("/system/carrierConstructionAward")
public class BmsCarrierConstructionAwardController extends BaseController {
    @Autowired
    private IBmsCarrierConstructionAwardService bmsCarrierConstructionAwardService;

    @Resource
    private JProjectService jProjectService;
    /**
     * 查询载体建设奖补列表
     */
//    @RequiresPermissions("system:carrierConstructionAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsCarrierConstructionAward bmsCarrierConstructionAward) {
        startPage();
        List<BmsCarrierConstructionAward> list = bmsCarrierConstructionAwardService.selectBmsCarrierConstructionAwardList(bmsCarrierConstructionAward);
        return getDataTable(list);
    }

    /**
     * 导出载体建设奖补列表
     */
//    @RequiresPermissions("system:carrierConstructionAward:export")
    @Log(title = "载体建设奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsCarrierConstructionAward bmsCarrierConstructionAward) {
        List<BmsCarrierConstructionAward> list = bmsCarrierConstructionAwardService.selectBmsCarrierConstructionAwardList(bmsCarrierConstructionAward);
        ExcelUtil<BmsCarrierConstructionAward> util = new ExcelUtil<BmsCarrierConstructionAward>(BmsCarrierConstructionAward.class);
        util.exportExcel(response, list, "载体建设奖补数据");
    }

    /**
     * 获取载体建设奖补详细信息
     */
//    @RequiresPermissions("system:carrierConstructionAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsCarrierConstructionAwardService.selectBmsCarrierConstructionAwardById(id));
    }

    /**
     * 新增载体建设奖补
     */
//    @RequiresPermissions("system:carrierConstructionAward:add")
    @Log(title = "载体建设奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsCarrierConstructionAwardAddDto bmsCarrierConstructionAwardAddDto) {
        return toAjax(bmsCarrierConstructionAwardService.insertBmsCarrierConstructionAward(bmsCarrierConstructionAwardAddDto));
    }

    /**
     * 修改载体建设奖补
     */
//    @RequiresPermissions("system:carrierConstructionAward:edit")
    @Log(title = "载体建设奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsCarrierConstructionAwardUpdateDto bmsCarrierConstructionAwardUpdateDto) {
        return toAjax(bmsCarrierConstructionAwardService.updateBmsCarrierConstructionAward(bmsCarrierConstructionAwardUpdateDto));
    }

    /**
     * 修改载体建设奖补（只做修改，不做逻辑）
     */
    @ApiOperation(value = "修改载体建设奖补（只做修改，不做逻辑）")
//    @RequiresPermissions("system:industrialInternetAward:edit")
    @Log(title = "修改载体建设奖补（只做修改，不做逻辑）", businessType = BusinessType.UPDATE)
    @PutMapping("/update")
    public AjaxResult update(@RequestBody BmsCarrierConstructionAward bmsCarrierConstructionAward) {
        bmsCarrierConstructionAwardService.updateById(bmsCarrierConstructionAward);
        JProject jp = new JProject();
        jp.setId(bmsCarrierConstructionAward.getJjhProjectId());
        jp.setFileJson("{" +
                '"' + "相关佐证资料" + '"' + ":" + '"' + bmsCarrierConstructionAward.getSupportingMaterials() + '"' + ','+
                '"' + "项目工商登记许可" + '"' + ":" + '"' + bmsCarrierConstructionAward.getBusinessLicense() + '"' + ','+
                '"' + "消防验收报告" + '"' + ":" + '"' + bmsCarrierConstructionAward.getFireReport() + '"' +
                "}");
        return toAjax(jProjectService.updateById(jp));
    }
    /**
     * 删除载体建设奖补
     */
//    @RequiresPermissions("system:carrierConstructionAward:remove")
    @Log(title = "载体建设奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsCarrierConstructionAwardService.deleteBmsCarrierConstructionAwardByIds(ids));
    }
}
