package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsFieldInfo;
import com.ruoyi.jjh.declaration.service.IBmsFieldInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 模板字段填写详情Controller
 * 
 * @author farben
 * @date 2023-09-04
 */
@RestController
@RequestMapping("/system/fieldInfo")
public class BmsFieldInfoController extends BaseController {
    @Autowired
    private IBmsFieldInfoService bmsFieldInfoService;

    /**
     * 查询模板字段填写详情列表
     */
//    @RequiresPermissions("system:fieldInfo:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsFieldInfo bmsFieldInfo) {
        startPage();
        List<BmsFieldInfo> list = bmsFieldInfoService.selectBmsFieldInfoList(bmsFieldInfo);
        return getDataTable(list);
    }

    /**
     * 导出模板字段填写详情列表
     */
//    @RequiresPermissions("system:fieldInfo:export")
    @Log(title = "模板字段填写详情", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsFieldInfo bmsFieldInfo) {
        List<BmsFieldInfo> list = bmsFieldInfoService.selectBmsFieldInfoList(bmsFieldInfo);
        ExcelUtil<BmsFieldInfo> util = new ExcelUtil<BmsFieldInfo>(BmsFieldInfo.class);
        util.exportExcel(response, list, "模板字段填写详情数据");
    }

    /**
     * 获取模板字段填写详情详细信息
     */
//    @RequiresPermissions("system:fieldInfo:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsFieldInfoService.selectBmsFieldInfoById(id));
    }

    /**
     * 新增模板字段填写详情
     */
//    @RequiresPermissions("system:fieldInfo:add")
    @Log(title = "模板字段填写详情", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsFieldInfo bmsFieldInfo) {
        return toAjax(bmsFieldInfoService.insertBmsFieldInfo(bmsFieldInfo));
    }

    /**
     * 修改模板字段填写详情
     */
//    @RequiresPermissions("system:fieldInfo:edit")
    @Log(title = "模板字段填写详情", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsFieldInfo bmsFieldInfo) {
        return toAjax(bmsFieldInfoService.updateBmsFieldInfo(bmsFieldInfo));
    }

    /**
     * 删除模板字段填写详情
     */
//    @RequiresPermissions("system:fieldInfo:remove")
    @Log(title = "模板字段填写详情", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsFieldInfoService.deleteBmsFieldInfoByIds(ids));
    }
}
