package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsFileInfo;
import com.ruoyi.jjh.declaration.service.IBmsFileInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 文件存储说明详情Controller
 * 
 * @author farben
 * @date 2023-09-04
 */
@RestController
@RequestMapping("/system/fileInfo")
public class BmsFileInfoController extends BaseController {
    @Autowired
    private IBmsFileInfoService bmsFileInfoService;

    /**
     * 查询文件存储说明详情列表
     */
//    @RequiresPermissions("system:fileInfo:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsFileInfo bmsFileInfo) {
        startPage();
        List<BmsFileInfo> list = bmsFileInfoService.selectBmsFileInfoList(bmsFileInfo);
        return getDataTable(list);
    }

    /**
     * 导出文件存储说明详情列表
     */
//    @RequiresPermissions("system:fileInfo:export")
    @Log(title = "文件存储说明详情", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsFileInfo bmsFileInfo) {
        List<BmsFileInfo> list = bmsFileInfoService.selectBmsFileInfoList(bmsFileInfo);
        ExcelUtil<BmsFileInfo> util = new ExcelUtil<BmsFileInfo>(BmsFileInfo.class);
        util.exportExcel(response, list, "文件存储说明详情数据");
    }

    /**
     * 获取文件存储说明详情详细信息
     */
//    @RequiresPermissions("system:fileInfo:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsFileInfoService.selectBmsFileInfoById(id));
    }

    /**
     * 新增文件存储说明详情
     */
//    @RequiresPermissions("system:fileInfo:add")
    @Log(title = "文件存储说明详情", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsFileInfo bmsFileInfo) {
        return toAjax(bmsFileInfoService.insertBmsFileInfo(bmsFileInfo));
    }

    /**
     * 修改文件存储说明详情
     */
//    @RequiresPermissions("system:fileInfo:edit")
    @Log(title = "文件存储说明详情", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsFileInfo bmsFileInfo) {
        return toAjax(bmsFileInfoService.updateBmsFileInfo(bmsFileInfo));
    }

    /**
     * 删除文件存储说明详情
     */
//    @RequiresPermissions("system:fileInfo:remove")
    @Log(title = "文件存储说明详情", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsFileInfoService.deleteBmsFileInfoByIds(ids));
    }
}
