package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsLogisticsDevelopmentAward;
import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsLogisticsDevelopmentAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsLogisticsDevelopmentAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsLogisticsDevelopmentAwardService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 物流发展奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@Api(tags = "物流发展奖补")
@RestController
@RequestMapping("/system/logisticsDevelopmentAward")
public class BmsLogisticsDevelopmentAwardController extends BaseController {
    @Autowired
    private IBmsLogisticsDevelopmentAwardService bmsLogisticsDevelopmentAwardService;

    @Resource
    private JProjectService jProjectService;
    /**
     * 查询物流发展奖补列表
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward) {
        startPage();
        List<BmsLogisticsDevelopmentAward> list = bmsLogisticsDevelopmentAwardService.selectBmsLogisticsDevelopmentAwardList(bmsLogisticsDevelopmentAward);
        return getDataTable(list);
    }

    /**
     * 导出物流发展奖补列表
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:export")
    @Log(title = "物流发展奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward) {
        List<BmsLogisticsDevelopmentAward> list = bmsLogisticsDevelopmentAwardService.selectBmsLogisticsDevelopmentAwardList(bmsLogisticsDevelopmentAward);
        ExcelUtil<BmsLogisticsDevelopmentAward> util = new ExcelUtil<BmsLogisticsDevelopmentAward>(BmsLogisticsDevelopmentAward.class);
        util.exportExcel(response, list, "物流发展奖补数据");
    }

    /**
     * 获取物流发展奖补详细信息
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsLogisticsDevelopmentAwardService.selectBmsLogisticsDevelopmentAwardById(id));
    }

    /**
     * 新增物流发展奖补
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:add")
    @Log(title = "物流发展奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsLogisticsDevelopmentAwardAddDto bmsLogisticsDevelopmentAwardAddDto) {
        return toAjax(bmsLogisticsDevelopmentAwardService.insertBmsLogisticsDevelopmentAward(bmsLogisticsDevelopmentAwardAddDto));
    }

    /**
     * 修改物流发展奖补
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:edit")
    @Log(title = "物流发展奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsLogisticsDevelopmentAwardUpdateDto bmsLogisticsDevelopmentAwardUpdateDto) {
        return toAjax(bmsLogisticsDevelopmentAwardService.updateBmsLogisticsDevelopmentAward(bmsLogisticsDevelopmentAwardUpdateDto));
    }

    /**
     * 修改物流发展奖补（只做修改，不做逻辑）
     */
    @ApiOperation(value = "修改物流发展奖补（只做修改，不做逻辑）")
//    @RequiresPermissions("system:industrialInternetAward:edit")
    @Log(title = "修改物流发展奖补（只做修改，不做逻辑）", businessType = BusinessType.UPDATE)
    @PutMapping("/update")
    public AjaxResult update(@RequestBody BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward)
    {
        bmsLogisticsDevelopmentAwardService.updateById(bmsLogisticsDevelopmentAward);
        JProject jp = new JProject();
        jp.setId(bmsLogisticsDevelopmentAward.getJjhProjectId());
        jp.setFileJson(        "{" +
                '"' + "荣誉证明文件" + '"' + ":" + '"' + bmsLogisticsDevelopmentAward.getHonorCertificate() + '"' + ","+
                '"' + "平台名称" + '"' + ":" + '"' + bmsLogisticsDevelopmentAward.getPlatformName() + '"' + ","+
                '"' + "企业投资项目备案通知书或核准批复文件" + '"' + ":" + '"' + bmsLogisticsDevelopmentAward.getFilingNotice() + '"' + ","+
                '"' + "会计师事务所出具的企业财务报表审计报告" + '"' + ":" + '"' + bmsLogisticsDevelopmentAward.getAuditReport() + '"' +
                "}");
        return toAjax(jProjectService.updateById(jp));
    }
    /**
     * 删除物流发展奖补
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:remove")
    @Log(title = "物流发展奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsLogisticsDevelopmentAwardService.deleteBmsLogisticsDevelopmentAwardByIds(ids));
    }
}
