package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsProjectInfo;
import com.ruoyi.jjh.declaration.entity.dto.OpenInterfaceApplyAddDto;
import com.ruoyi.jjh.declaration.entity.vo.EnterpriseInfoTemplateVo;
import com.ruoyi.jjh.declaration.service.IOpenInterfaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 审批记录信息Controller
 * 
 * @author farben
 * @date 2023-09-09
 */
@RestController
@RequestMapping("/system/openInterface")
public class BmsOpenInterfaceController extends BaseController {

    @Autowired
    private IOpenInterfaceService iOpenInterfaceService;

    @GetMapping("/enterpriseInfo/{creditCode}")
    public AjaxResult enterpriseInfo(@PathVariable("creditCode") String creditCode) {
        EnterpriseInfoTemplateVo enterpriseInfoTemplateVo = iOpenInterfaceService.enterpriseList(creditCode);
        return success(enterpriseInfoTemplateVo);
    }

    @Log(title = "新增申报记录", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OpenInterfaceApplyAddDto openInterfaceApplyAddDto) {
        return toAjax(iOpenInterfaceService.insertOpenInterfaceApplyAddDto(openInterfaceApplyAddDto));
    }

    @GetMapping("/{templateRecordId}")
    public AjaxResult getProjectInfo(@PathVariable("templateRecordId") Long templateRecordId) {
        BmsProjectInfo bmsProjectInfo = iOpenInterfaceService.getProjectInfo(templateRecordId);
        return success(bmsProjectInfo);
    }




}
