package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsCarrierConstructionAward;
import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsPlatformConstructionAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsPlatformConstructionAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsPlatformConstructionAwardService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 平台建设奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@Api(tags = "平台建设奖补")
@RestController
@RequestMapping("/system/platformConstructionAward")
public class BmsPlatformConstructionAwardController extends BaseController {
    @Autowired
    private IBmsPlatformConstructionAwardService bmsPlatformConstructionAwardService;

    @Resource
    private JProjectService jProjectService;
    /**
     * 查询平台建设奖补列表
     */
//    @RequiresPermissions("system:platformConstructionAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsPlatformConstructionAward bmsPlatformConstructionAward) {
        startPage();
        List<BmsPlatformConstructionAward> list = bmsPlatformConstructionAwardService.selectBmsPlatformConstructionAwardList(bmsPlatformConstructionAward);
        return getDataTable(list);
    }

    /**
     * 导出平台建设奖补列表
     */
//    @RequiresPermissions("system:platformConstructionAward:export")
    @Log(title = "平台建设奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsPlatformConstructionAward bmsPlatformConstructionAward) {
        List<BmsPlatformConstructionAward> list = bmsPlatformConstructionAwardService.selectBmsPlatformConstructionAwardList(bmsPlatformConstructionAward);
        ExcelUtil<BmsPlatformConstructionAward> util = new ExcelUtil<BmsPlatformConstructionAward>(BmsPlatformConstructionAward.class);
        util.exportExcel(response, list, "平台建设奖补数据");
    }

    /**
     * 获取平台建设奖补详细信息
     */
//    @RequiresPermissions("system:platformConstructionAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsPlatformConstructionAwardService.selectBmsPlatformConstructionAwardById(id));
    }

    /**
     * 新增平台建设奖补
     */
//    @RequiresPermissions("system:platformConstructionAward:add")
    @Log(title = "平台建设奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsPlatformConstructionAwardAddDto bmsPlatformConstructionAwardAddDto) {
        return toAjax(bmsPlatformConstructionAwardService.insertBmsPlatformConstructionAward(bmsPlatformConstructionAwardAddDto));
    }

    /**
     * 修改平台建设奖补
     */
//    @RequiresPermissions("system:platformConstructionAward:edit")
    @Log(title = "平台建设奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsPlatformConstructionAwardUpdateDto bmsPlatformConstructionAwardUpdateDto) {
        return toAjax(bmsPlatformConstructionAwardService.updateBmsPlatformConstructionAward(bmsPlatformConstructionAwardUpdateDto));
    }

    /**
     * 修改平台建设奖补（只做修改，不做逻辑）
     */
    @ApiOperation(value = "修改平台建设奖补（只做修改，不做逻辑）")
//    @RequiresPermissions("system:industrialInternetAward:edit")
    @Log(title = "修改平台建设奖补（只做修改，不做逻辑）", businessType = BusinessType.UPDATE)
    @PutMapping("/update")
    public AjaxResult update(@RequestBody BmsPlatformConstructionAward bmsPlatformConstructionAward) {
        bmsPlatformConstructionAwardService.updateById(bmsPlatformConstructionAward);
        JProject jp = new JProject();
        jp.setId(bmsPlatformConstructionAward.getJjhProjectId());
        jp.setFileJson("{" +
                '"' + "合作协议" + '"' + ":" + '"' + bmsPlatformConstructionAward.getAgreement() + '"' +
                "}");
        return toAjax(jProjectService.updateById(jp));
    }

    /**
     * 删除平台建设奖补
     */
//    @RequiresPermissions("system:platformConstructionAward:remove")
    @Log(title = "平台建设奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsPlatformConstructionAwardService.deleteBmsPlatformConstructionAwardByIds(ids));
    }
}
