package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;
import com.ruoyi.jjh.declaration.entity.BmsSceneOpeningAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsSceneOpeningAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsSceneOpeningAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsSceneOpeningAwardService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 场景开放奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@Api(tags = "场景开放奖补")
@RestController
@RequestMapping("/system/sceneOpeningAward")
public class BmsSceneOpeningAwardController extends BaseController {
    @Autowired
    private IBmsSceneOpeningAwardService bmsSceneOpeningAwardService;


    @Resource
    private JProjectService jProjectService;
    /**
     * 查询场景开放奖补列表
     */
//    @RequiresPermissions("system:sceneOpeningAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsSceneOpeningAward bmsSceneOpeningAward) {
        startPage();
        List<BmsSceneOpeningAward> list = bmsSceneOpeningAwardService.selectBmsSceneOpeningAwardList(bmsSceneOpeningAward);
        return getDataTable(list);
    }

    /**
     * 导出场景开放奖补列表
     */
//    @RequiresPermissions("system:sceneOpeningAward:export")
    @Log(title = "场景开放奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsSceneOpeningAward bmsSceneOpeningAward) {
        List<BmsSceneOpeningAward> list = bmsSceneOpeningAwardService.selectBmsSceneOpeningAwardList(bmsSceneOpeningAward);
        ExcelUtil<BmsSceneOpeningAward> util = new ExcelUtil<BmsSceneOpeningAward>(BmsSceneOpeningAward.class);
        util.exportExcel(response, list, "场景开放奖补数据");
    }

    /**
     * 获取场景开放奖补详细信息
     */
//    @RequiresPermissions("system:sceneOpeningAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsSceneOpeningAwardService.selectBmsSceneOpeningAwardById(id));
    }

    /**
     * 新增场景开放奖补
     */
//    @RequiresPermissions("system:sceneOpeningAward:add")
    @Log(title = "场景开放奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsSceneOpeningAwardAddDto bmsSceneOpeningAwardAddDto) {
        return toAjax(bmsSceneOpeningAwardService.insertBmsSceneOpeningAward(bmsSceneOpeningAwardAddDto));
    }

    /**
     * 修改场景开放奖补
     */
//    @RequiresPermissions("system:sceneOpeningAward:edit")
    @Log(title = "场景开放奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsSceneOpeningAwardUpdateDto bmsSceneOpeningAwardUpdateDto) {
        return toAjax(bmsSceneOpeningAwardService.updateBmsSceneOpeningAward(bmsSceneOpeningAwardUpdateDto));
    }

    /**
     * 修改场景开放奖补（只做修改，不做逻辑）
     */
    @ApiOperation(value = "修改场景开放奖补（只做修改，不做逻辑）")
//    @RequiresPermissions("system:industrialInternetAward:edit")
    @Log(title = "修改场景开放奖补（只做修改，不做逻辑）", businessType = BusinessType.UPDATE)
    @PutMapping("/update")
    public AjaxResult update(@RequestBody BmsSceneOpeningAward bmsSceneOpeningAward) {
        bmsSceneOpeningAwardService.updateById(bmsSceneOpeningAward);
        JProject jp = new JProject();
        jp.setId(bmsSceneOpeningAward.getJjhProjectId());
        jp.setFileJson("{" +
                '"' + "证明材料(公示、发文证明、专家评分表)" + '"' + ":" + '"' + bmsSceneOpeningAward.getMaterial() + '"' +
                "}");
        return toAjax(jProjectService.updateById(jp));
    }

    /**
     * 删除场景开放奖补
     */
//    @RequiresPermissions("system:sceneOpeningAward:remove")
    @Log(title = "场景开放奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsSceneOpeningAwardService.deleteBmsSceneOpeningAwardByIds(ids));
    }
}
