package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 审批记录信息对象 bms_approval_info
 *
 * @author farben
 * @date 2023-09-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsApprovalInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程id
     */
    @Excel(name = "流程id")
    private Long processId;

    /**
     * 申报记录id
     */
    @Excel(name = "申报记录id")
    private Long declarationRecordsId;

    @Excel(name = "默认审批人id")
    private Long approvalById;

    @Excel(name = "默认审批部门")
    private Long approvalDept;

    /**
     * 审批状态(0=待审核.1=审批通过,2=审批驳回)
     */
    @Excel(name = "审批状态(0=待审核.1=审批通过,2=审批驳回 3=退回修改)")
    private Integer approvalStatus;

    /**
     * 审批意见
     */
    @Excel(name = "审批意见")
    private String approvalOpinions;

    /**
     * 审批附件
     */
    @Excel(name = "审批附件")
    private String approvalAttachment;

    @Excel(name = "审批时间")
    private Date approvalTime;

    /**
     * 是否可审核(0=是,1=否,2=结束)
     */
    @Excel(name = "是否可审核(0=是,1=否,2=结束)")
    private Integer isReview;

    @Excel(name = "是否为拒绝前数据，0：否，1：是")
    private Integer isBeforeData;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Integer isDeleted;

}
