package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 做大做强奖详情对象 bms_big_strong_award
 *
 * @author farben
 * @date 2023-08-25
 */
@ApiModel("做大做强奖详情对象")
@Data
public class BmsBigStrongAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @JSONField(serialize = false)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @Excel(name = "企业id")
    @JSONField(serialize = false)
    private Long enterpriseId;

    /**
     * 是否获得园区其他经营奖励
     */
    @ApiModelProperty("是否获得园区其他经营奖励，0：是，1：否")
    @Excel(name = "是否获得园区其他经营奖励", readConverterExp = "0=是,1=否")
    @JSONField(name = "是否获得园区其他经营奖励")
    private int isGainRewards;

    /**
     * 园区其他经营奖励
     */
    @ApiModelProperty("园区其他经营奖励")
    @JSONField(name  = "园区其他经营奖励")
    @Excel(name = "奖励说明")
    private String rewardDescription;

    /**
     * 成立时间
     */
    @ApiModelProperty("成立时间 yyyy-MM-dd")
    @JSONField(name = "申报成立时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date establishTime;

    /**
     * 企业近3年发展情况及未来发展计划
     */
    @ApiModelProperty("企业近3年发展情况及未来发展计划")
    @JSONField(serialize = false)
    @Excel(name = "企业近3年发展情况及未来发展计划")
    private String developmentPlan;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
}
