package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 品牌打造奖补对象 bms_branding_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@ApiModel("品牌打造奖补对象")
public class BmsBrandingAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 所获荣誉/所举办活动
     */
    @ApiModelProperty("所获荣誉/所举办活动")
    @JSONField(name="所获荣誉/所举办活动")
    @Excel(name = "所获荣誉/所举办活动")
    private String honorsReceived;

    /**
     * 所属等级
     */
    @ApiModelProperty("所属等级")
    @JSONField(name="所属等级")
    @Excel(name = "所属等级")
    private Long level;

    /**
     * 证明材料
     */
    @ApiModelProperty("证明材料")
    @JSONField(serialize = false)
    @Excel(name = "证明材料")
    private String evidence;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
}
