package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 载体建设奖补对象 bms_carrier_construction_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@ApiModel("载体建设奖补对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsCarrierConstructionAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 企业id */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /** 项目名称 */
    @ApiModelProperty("项目名称")
    @JSONField(name = "项目名称")
    @Excel(name = "项目名称")
    private String projectName;

    /** 文体企业数量占比 */
    @ApiModelProperty("文体企业数量占比")
    @JSONField(name = "文体企业数量占比")
    @Excel(name = "文体企业数量占比")
    private String quantityProportion;

    /** 文体企业营收占比 */
    @ApiModelProperty("文体企业营收占比")
    @JSONField(name = "文体企业营收占比")
    @Excel(name = "文体企业营收占比")
    private String revenueProportion;

    /** 文体企业从业人员占比 */
    @ApiModelProperty("文体企业从业人员占比")
    @JSONField(name = "文体企业从业人员占比")
    @Excel(name = "文体企业从业人员占比")
    private String personnelProportion;

    /** 相关佐证材料 */
    @ApiModelProperty("相关佐证材料")
    @JSONField(serialize = false)
    @Excel(name = "相关佐证材料")
    private String supportingMaterials;

    /** 项目工商登记许可 */
    @ApiModelProperty("项目工商登记许可")
    @JSONField(serialize = false)
    @Excel(name = "项目工商登记许可")
    private String businessLicense;

    /** 消防验收报告 */
    @ApiModelProperty("消防验收报告")
    @JSONField(serialize = false)
    @Excel(name = "消防验收报告")
    private String fireReport;

    /** 是否删除：0，未删除；1，已删除 */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
}
