package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 信用管理奖补对象 bms_credit_management
 * 
 * @author farben
 * @date 2023-09-04
 */
@Data
@ApiModel("信用管理奖补对象")
public class BmsCreditManagement extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 企业id */
    @ApiModelProperty("企业id")
    @Excel(name = "企业id")
    private Long enterpriseId;

    /** 项目方案（包括项目基本情况介绍、项目投资情况以及实施进展、项目目标及取得的主要成效） */
    @ApiModelProperty("项目方案（包括项目基本情况介绍、项目投资情况以及实施进展、项目目标及取得的主要成效）")
    @Excel(name = "项目方案", readConverterExp = "包=括项目基本情况介绍、项目投资情况以及实施进展、项目目标及取得的主要成效")
    private String projectPlan;

    /** 资金使用说明（项目未完成的需提供，内容主要包括项目计划投资额，投资明细，目前已完成投资情况和后续投入计划等） */
    @ApiModelProperty("资金使用说明（项目未完成的需提供，内容主要包括项目计划投资额，投资明细，目前已完成投资情况和后续投入计划等）")
    @Excel(name = "资金使用说明", readConverterExp = "项=目未完成的需提供，内容主要包括项目计划投资额，投资明细，目前已完成投资情况和后续投入计划等")
    private String usesFunds;

    /** 项目专项审计报告（项目已完成的需提供） */
    @ApiModelProperty("项目专项审计报告（项目已完成的需提供）")
    @Excel(name = "项目专项审计报告", readConverterExp = "项=目已完成的需提供")
    private String auditReport;

    /** 是否删除：0，未删除；1，已删除 */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;


    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
}
