package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 在线申报记录对象 bms_declaration_records
 *
 * @author farben
 * @date 2023-08-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsDeclarationRecords extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 项目库的Id
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "项目库的Id")
    private Long jjhProjectId;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "申报任务标题")
    @Excel(name = "申报任务标题")
    @JSONField(name = "申报任务标题")
    private String projectName;

    @JSONField(serialize = false)
    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @JSONField(serialize = false)
    @ApiModelProperty(value = "事项")
    @Excel(name = "事项")
    private String matter;

    /**
     * 企业id
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "企业id")
    private Long enterpriseId;

    /**
     * 年份
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "年份")
    @Excel(name = "年份")
    private String year;

    /**
     * 在线模板记录id
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "在线模板记录id")
    private Long templateRecordId;

    /**
     * 申报模版id
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "申报模版id")
    private Integer templateId;

    /**
     * 企业的统一社会信用代码
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "企业的统一社会信用代码")
    private String creditCode;

    /**
     * 详情id：对应详情id
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "详情id：对应详情id")
    private Long detailId;


    /**
     * 审批状态
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "审批状态")
    @Excel(name = "审批状态", readConverterExp = "0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审不通过,9=终审不通过，10=初审驳回")
    private Long status;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @JSONField(serialize = false)
    @ApiModelProperty(value = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

}
