package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业基础信息对象 bms_enterprise_basic_info
 *
 * @author farben
 * @date 2023-08-25
 */
@ApiModel("企业基础信息对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsEnterpriseBasicInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize=false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业名称
     */
    @ApiModelProperty("单位名称")
    @JSONField(name = "单位名称")
    @Excel(name = "单位名称")
    private String enterpriseName;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    @JSONField(name = "统一社会信用代码")
    @Excel(name = "统一社会信用代码")
    private String creditCode;


    /**
     * 法定代表人
     */
    @ApiModelProperty("法定代表人")
    @JSONField(name = "法定代表人")
    @Excel(name = "法定代表人")
    private String legalEntity;

    /**
     * 经营状态
     */
    @ApiModelProperty("经营状态")
    @JSONField(name = "经营状态")
    @Excel(name = "经营状态")
    private String businessStatus;

    /**
     * 成立日期
     */
    @ApiModelProperty("成立日期")
    @JSONField(name = "成立日期")
    @Excel(name = "成立日期")
    private String establishDate;

    /**
     * 注册资本
     */
    @ApiModelProperty("注册资本")
    @JSONField(name = "注册资本")
    @Excel(name = "注册资本")
    private String registeredCapital;

    /**
     * 企业类型
     */
    @ApiModelProperty("企业类型")
    @JSONField(name = "企业类型")
    @Excel(name = "企业类型")
    private String  enterpriseType;

    /**
     * 所属行业
     */
    @ApiModelProperty("所属行业")
    @JSONField(name = "所属行业")
    @Excel(name = "所属行业")
    private String industry;

    /**
     * 组织机构代码
     */
    @ApiModelProperty("组织机构代码")
    @JSONField(name = "组织机构代码")
    @Excel(name = "组织机构代码")
    private String institutionCode;

    /**
     * 行业代码
     */
    @ApiModelProperty("行业代码")
    @JSONField(name = "行业代码")
    @Excel(name = "行业代码")
    private String industryCode;

    /**
     * 登记注册统计类别
     */
    @ApiModelProperty("登记注册统计类别")
    @JSONField(name = "登记注册统计类别")
    @Excel(name = "登记注册统计类别")
    private String statisticalCategories;

    /**
     * 参保人数
     */
    @ApiModelProperty("参保人数")
    @JSONField(name = "参保人数")
    @Excel(name = "参保人数")
    private String visitorsNum;

    /**
     * 曾用名
     */
    @ApiModelProperty("曾用名")
    @JSONField(name = "曾用名")
    @Excel(name = "曾用名")
    private String formerName;

    /**
     * 注册地址
     */
    @ApiModelProperty("注册地址")
    @JSONField(name = "注册地址")
    @Excel(name = "注册地址")
    private String enrollAddress;


    /**
     * 注册类型
     */
    @ApiModelProperty("注册类型")
    @JSONField(name = "注册类型")
    @Excel(name = "注册类型")
    private String enrollType;

    /**
     * 经营范围
     */
    @ApiModelProperty("经营范围")
    @JSONField(name = "经营范围")
    @Excel(name = "经营范围")
    private String business;

//    /**
//     * 联系人
//     */
//    @JSONField(name = "联系人")
//    @Excel(name = "联系人")
//    private String contacts;
//
//    /**
//     * 联系人电话
//     */
//    @JSONField(name = "联系人电话")
//    @Excel(name = "联系人电话")
//    private String contactsNumber;
//
//    /**
//     * 企业地址
//     */
//    @JSONField(name = "企业地址")
//    @Excel(name = "企业地址")
//    private String address;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize=false)
    @Excel(name = "是否删除",readConverterExp = "0=未删除,1=已删除")
    private Long isDeleted;


}
