package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业名录对象 bms_enterprise_directory
 *
 * @author farben
 * @date 2023-08-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsEnterpriseDirectory extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "在线模板记录id")
    private Long templateRecordId;

    /**
     * 企业名字
     */
    @Excel(name = "企业名字")
    private String enterpriseName;

    /**
     * 企业统一信用代码
     */
    @Excel(name = "企业统一信用代码")
    private String creditCode;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("templateRecordId", getTemplateRecordId()).append("enterpriseName", getEnterpriseName()).append("creditCode", getCreditCode()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
