package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 5G+工业互联网奖补对象 bms_industrial_internet_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@ApiModel("5G+工业互联网奖补对象")
public class BmsIndustrialInternetAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;


    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
    /**
     * 主键id
     */
    @ApiModelProperty("id")
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 荣誉名称
     */
    @ApiModelProperty("荣誉名称")
    @JSONField(name = "荣誉名称")
    @Excel(name = "荣誉名称")
    private String honoraryName;

    /**
     * 证明材料
     */
    @ApiModelProperty("证明材料")
    @JSONField(serialize = false)
    @Excel(name = "证明材料")
    private String material;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

}
