package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 两业融合奖补对象 bms_integration_industries
 *
 * @author farben
 * @date 2023-09-04
 */
@ApiModel("两业融合奖补对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsIntegrationIndustries extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    @ApiModelProperty("申报类型")
    @JSONField(name = "申报类型")
    @Excel(name = "申报类型", readConverterExp = "1=两业融合示范企业,2=制造业企业设立财务独立核算的制造服务业职能部门,3=制造业企业剥离服务业务成立独立的法人")
    private Integer declarationType;

    /**
     * 证明材料
     */
    @ApiModelProperty("证明材料")
    @JSONField(serialize = false)
    @Excel(name = "证明材料")
    private String evidence;

    /**
     * 营业执照
     */
    @ApiModelProperty("营业执照")
    @JSONField(serialize = false)
    @Excel(name = "营业执照")
    private String businessLicense;

    /**
     * 完税证明
     */
    @ApiModelProperty("完税证明")
    @JSONField(serialize = false)
    @Excel(name = "完税证明")
    private String taxPaymentCertificate;

    /**
     * 审计报告
     */
    @ApiModelProperty("审计报告")
    @JSONField(serialize = false)
    @Excel(name = "审计报告")
    private String auditReport;

    /**
     * 股权架构图
     */
    @ApiModelProperty("股权架构图")
    @JSONField(serialize = false)
    @Excel(name = "股权架构图")
    private String equityStructureChart;

    /**
     * 项目申报报告（含企业基本情况和项目基本情况）
     */
    @ApiModelProperty("项目申报报告（含企业基本情况和项目基本情况）")
    @JSONField(serialize = false)
    @Excel(name = "项目申报报告", readConverterExp = "含=企业基本情况和项目基本情况")
    private String declarationReport;

    /**
     * 独立核算相关证明
     */
    @ApiModelProperty("独立核算相关证明")
    @JSONField(serialize = false)
    @Excel(name = "独立核算相关证明")
    private String independentAccounting;

    /**
     * 验资报告
     */
    @ApiModelProperty("验资报告")
    @JSONField(serialize = false)
    @Excel(name = "验资报告")
    private String capitalVerificationReport;

    /**
     * 证明材料
     */
    @ApiModelProperty("证明材料")
    @JSONField(serialize = false)
    @Excel(name = "证明材料")
    private String otherEvidence;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
}
