package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 物流发展奖补对象 bms_logistics_development_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@ApiModel("物流发展奖补对象")
public class BmsLogisticsDevelopmentAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;


    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 荣誉证明文件
     */
    @ApiModelProperty("荣誉证明文件")
    @Excel(name = "荣誉证明文件")
    private String honorCertificate;

    /**
     * 平台名称
     */
    @ApiModelProperty("平台名称")
    @Excel(name = "平台名称")
    private String platformName;

    /**
     * 企业投资项目备案通知书或核准批复文件
     */
    @ApiModelProperty("企业投资项目备案通知书或核准批复文件")
    @Excel(name = "企业投资项目备案通知书或核准批复文件")
    private String filingNotice;

    /**
     * 会计师事务所出具的企业财务报表审计报告
     */
    @ApiModelProperty("会计师事务所出具的企业财务报表审计报告")
    @Excel(name = "会计师事务所出具的企业财务报表审计报告")
    private String auditReport;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;


}
