package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 制造服务业有效投入奖补对象 bms_manufacturing_services_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@ApiModel("制造服务业有效投入奖补对象")
public class BmsManufacturingServicesAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;
    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 企业投资项目备案通知书或核准批复文件
     */
    @ApiModelProperty("企业投资项目备案通知书或核准批复文件")
    @JSONField(serialize = false)
    @Excel(name = "企业投资项目备案通知书或核准批复文件")
    private String filingNotice;

    /**
     * 购置设备发票清单及发票扫描件
     */
    @ApiModelProperty("购置设备发票清单及发票扫描件")
    @JSONField(serialize = false)
    @Excel(name = "购置设备发票清单及发票扫描件")
    private String invoice;

    /**
     * 会计师事务所出具的企业申报项目购置设备情况的专项审计报告
     */
    @ApiModelProperty("会计师事务所出具的企业申报项目购置设备情况的专项审计报告")
    @JSONField(serialize = false)
    @Excel(name = "会计师事务所出具的企业申报项目购置设备情况的专项审计报告")
    private String auditReport;

    /**
     * 会计师事务所出具的企业财务报表审计报告
     */
    @ApiModelProperty("会计师事务所出具的企业财务报表审计报告")
    @JSONField(serialize = false)
    @Excel(name = "会计师事务所出具的企业财务报表审计报告")
    private String financialStatements;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;


}
