package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2024年度淘汰落后和退出低端低效产能装备清单 bms_out_quit_products
 *
 * @author farben
 * @date 2023-08-25
 */
@ApiModel("2024年度淘汰落后和退出低端低效产能装备清单详情对象")
@Data
public class BmsOutQuitProducts extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @JSONField(serialize = false)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @Excel(name = "企业id")
    @JSONField(serialize = false)
    private Long enterpriseId;

    /**
     * 主要产品
     */
    @ApiModelProperty("主要产品")
    @Excel(name = "主要产品")
    @JSONField(name = "主要产品")
    private String mainProducts;

    /**
     * 所属行业 1轻工 2纺织 3冶金 4化工 5建材 6机械加工
     */
    @ApiModelProperty("所属行业 1轻工 2纺织 3冶金 4化工 5建材 6机械加工")
    @JSONField(name  = "所属行业")
    @Excel(name = "所属行业",readConverterExp = "1=轻工,2=纺织,3=冶金,4=化工,5=建材,6=机械加工")
    private Integer industry;

    /**
     * 工作联系人
     */
    @ApiModelProperty("工作联系人")
    @Excel(name = "工作联系人")
    @JSONField(name = "工作联系人")
    private String workContact;


    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @Excel(name = "联系电话")
    @JSONField(name = "联系电话")
    private String iphone;

    /**
     * 类别 1 淘汰落后生产工艺装备 2 退出低端低效生产工艺装备
     */
    @ApiModelProperty("类别 1 淘汰落后生产工艺装备 2 退出低端低效生产工艺装备")
    @Excel(name = "类别",readConverterExp = "1=淘汰落后生产工艺装备,2=退出低端低效生产工艺装备")
    @JSONField(name = "类别")
    private Integer type;

    /**
     * 拟淘汰或退出生产工艺装备情况（和类别对应）
     */
    @ApiModelProperty("拟淘汰或退出生产工艺装备情况（和类别对应）")
    @Excel(name = "拟淘汰或退出生产工艺装备情况")
    @JSONField(serialize = false)
    private String specifics;

    /**
     * 其他相关情况说明
     */
    @ApiModelProperty("其他相关情况说明")
    @Excel(name = "其他相关情况说明")
    @JSONField(serialize = false)
    private String otherSpecifics;


    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;

}
