package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 审批流程对象 bms_process_info
 *
 * @author farben
 * @date 2023-09-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsProcessInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 对应审批类型(0=所有评审)
     */
    @Excel(name = "对应审批类型(0=所有评审)")
    private Integer approvalType;

    /**
     * 对应审批层级(0=初审,1=复审,2=终审)
     */
    @Excel(name = "对应审批层级(0=初审,1=复审,2=终审)")
    private Integer approvalLevel;

    @Excel(name = "审批部门id")
    private Long approvalDept;

    /**
     * 审批人id
     */
    @Excel(name = "默认审批人id")
    private Long approvalById;

    @Excel(name = "审批人（可能有多个）")
    private String approvalByIds;

    @Excel(name = "下一个审批id，结束为0")
    private Long nextProcessId;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Integer isDeleted;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("approvalType", getApprovalType()).append("approvalLevel", getApprovalLevel()).append("approvalById", getApprovalById()).append("approvalByIds", getApprovalByIds()).append("nextProcessId", getNextProcessId()).append("sort", getSort()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
