package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 项目基本信息对象 bms_project_info
 *
 * @author farben
 * @date 2023-09-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsProjectInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @Excel(name = "申报模版类型")
    private Integer declarationTemplateType;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 申报单位,企业id
     */
    @Excel(name = "申报单位,企业id")
    private Long enterpriseId;

    /**
     * 产品领域(0=科技领域,1=信息技术服务,2=知识产权服务,3=检验检测服务,4=文化创意,5=科技服务,6=两业融合发展【科技服务】,7=两业融合发展【全产业链工业设计)
     */
    @Excel(name = "产品领域(0=科技领域,1=信息技术服务,2=知识产权服务,3=检验检测服务,4=文化创意,5=科技服务,6=两业融合发展【科技服务】,7=两业融合发展【全产业链工业设计)")
    private Long productArea;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

    /**
     * 项目开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 项目结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 申报竣工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申报竣工时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completionTime;

    /**
     * 扶持方式(0=投资补助)
     */
    @Excel(name = "扶持方式(0=投资补助)")
    private Long supportMethods;

    /**
     * 申报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date declarationTime;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;


}
