package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 项目落户奖补对象 bms_project_settlement_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("项目落户奖补对象")
public class BmsProjectSettlementAward extends BaseInfoEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 申报单位成立时间
     */
    @ApiModelProperty("申报单位成立时间")
    @JSONField(name= "申报单位成立时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申报单位成立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date establishTime;

    /**
     * 截至目前员工人数
     */
    @ApiModelProperty("截至目前员工人数")
    @JSONField(name= "截至目前员工人数")
    @Excel(name = "截至目前员工人数")
    private Long employeeNum;

    /**
     * 招商协议
     */
    @ApiModelProperty("招商协议")
    @JSONField(serialize = false)
    @Excel(name = "招商协议")
    private String agreement;

    /**
     * 验资报告
     */
    @ApiModelProperty("验资报告")
    @JSONField(serialize = false)
    @Excel(name = "验资报告")
    private String report;

    /**
     * 营业执照
     */
    @ApiModelProperty("营业执照")
    @JSONField(serialize = false)
    @Excel(name = "营业执照")
    private String businessLicense;

    /**
     * 其他材料
     */
    @ApiModelProperty("其他材料")
    @JSONField(serialize = false)
    @Excel(name = "其他材料")
    private String otherMaterials;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("enterpriseId", getEnterpriseId()).append("establishTime", getEstablishTime()).append("employeeNum", getEmployeeNum()).append("agreement", getAgreement()).append("report", getReport()).append("businessLicense", getBusinessLicense()).append("otherMaterials", getOtherMaterials()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).toString();
    }
}
