package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 场景开放奖补对象 bms_scene_opening_award
 *
 * @author farben
 * @date 2023-08-25
 */
@ApiModel("场景开放奖补对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsSceneOpeningAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    @JSONField(name = "项目名称")
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 所属类型
     */
    @ApiModelProperty("所属类型")
    @JSONField(name = "所属类型")
    @Excel(name = "所属类型")
    private Long type;

    /**
     * 公示、发文证明、专家评分表
     */
    @ApiModelProperty("公示、发文证明、专家评分表")
    @JSONField(serialize = false)
    @Excel(name = "公示、发文证明、专家评分表")
    private String material;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @TableField(exist=false)
    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("enterpriseId", getEnterpriseId()).append("projectName", getProjectName()).append("type", getType()).append("material", getMaterial()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
