package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * 申报模板信息对象 bms_template_info
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
public class BmsTemplateInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 模板名称
     */
    @ApiModelProperty(value = "模板名称")
    @Excel(name = "模板名称")
    private String templateName;


    /**
     * 级别 0:本级,1:省级
     */
    @ApiModelProperty(value = "级别 0:本级,1:省级")
    @Excel(name = "级别 ", readConverterExp = "0=本级,1=省级")
    private Long level;

//    /**
//     * 产品领域 生产性服务业  现代服务业  新兴服务业 (暂废弃)
//     */
//    @ApiModelProperty(value = "产品领域 0:生产性服务业  1:现代服务业  2:新兴服务业")
//    @Excel(name = "产品领域", readConverterExp = "0=生产性服务业,1=现代服务业,2=新兴服务业")
//    private Long productArea;

//    /**
//     * 申报类型 0:/, 1:试点区域,2:龙头型,3:创新型 (暂废弃)
//     */
//    @ApiModelProperty(value = "申报类型 0:/, 1:试点区域,2:龙头型,3:创新型")
//    @Excel(name = "申报类型", readConverterExp = "0=/, 1=试点区域,2=龙头型,3=创新型")
//    private Long type;

    /**
     * 表单说明
     */
    @ApiModelProperty(value = "表单说明")
    @Excel(name = "表单说明")
    private String notes;

    /**
     * 责任单位 0：经发委:1：规建委:2：行审局:3：市监局
     */
    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Integer responsibilityUnit;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty(value = "是否删除：0，未删除；1，已删除")
    @Excel(name = "是否删除", readConverterExp = "0=未删除,1=已删除")
    private Integer isDeleted;

    /**
     * 项目分类
     */
    /**
     * 项目分类
     */
    @Excel(name = "项目分类", readConverterExp = "1=总部经济," +
            "2=自主品牌先进技术研究院," +
            "3=省现代服务业重点项目," +
            "4=省市服务业领军企业," +
            "5=省级现代服务业集聚区," +
            "6=两业融合试点单位," +
            "7=楼宇经济," +
            "8=工业设计中心," +
            "9=工业设计研究院," +
            "10=服务型制造示范")
    @ApiModelProperty("项目分类")
    private Integer projectClassify;

    /**
     * 模板有效期开始日期
     */
    @Excel(name = "模板有效期开始日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("模板有效期开始日期")
    private LocalDate useStart;

    /**
     * 模板有效期结束日期
     */
    @Excel(name = "模板有效期结束日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("模板有效期结束日期")
    private LocalDate useEnd;

    /**
     * 状态 0=过期,1=有效
     */
    @Excel(name = "状态 0=过期,1=有效" , readConverterExp = "0=过期,1=有效")
    @ApiModelProperty("状态 0=过期,1=有效")
    private Integer status;
}
