package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Size;
import java.time.LocalDate;

/**
 * 在线模板对象 bms_template_record
 *
 * @author farben
 * @date 2023-09-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsTemplateRecord extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 模版id
     */
    @Excel(name = "模版id")
    private Long templateId;

    /**
     * 申报任务标题
     */
    @ApiModelProperty(value = "申报任务标题")
    @Excel(name = "申报任务标题")
    private String enterpriseDirectory;

    /**
     * 开放开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开放开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate startTime;

    /**
     * 开放结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开放结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate endTime;

    @Excel(name = "上传文件名称")
    private String fileName;

    /**
     * 申报途径 0:系统申报；1:补录
     */
    @Excel(name = "申报途径 0:系统申报；1:补录")
    private Long road;

    /**
     * 说明
     */
    @Excel(name = "说明")
    @Size(max = 200, message = "说明的长度要小于 200")
    private String notes;

    /**
     * 状态  0=未开始 1=过期 2=有效
     */
    @Excel(name = "状态  0=未开始 1=过期 2=有效" , readConverterExp = "0=未开始,1=过期,2=有效")
    @ApiModelProperty("状态  0=未开始 1=过期 2=有效")
    private Integer status;

}
