package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 资金信息对象 bsm_funding_info
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BsmFundingInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 模板类型：1：项目落户奖补，2：做大做强奖补
     */
    @Excel(name = "模板类型：1：项目落户奖补，2：做大做强奖补")
    private Integer type;

    /**
     * 对应模板id
     */
    @Excel(name = "对应模板id")
    private Long templateId;

    @ApiModelProperty(value = "详情id")
    private Long detailId;

    /**
     * 营收年份
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date revenueYear;

    /**
     * 营收
     */
    @Excel(name = "营收")
    private Long revenue;

    /**
     * 税收年份
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "税收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date taxationYear;

    /**
     * 税收
     */
    @Excel(name = "税收")
    private Long taxation;

    /**
     * 预计营收年份
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计营收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedRevenueYear;

    /**
     * 预计营收
     */
    @Excel(name = "预计营收")
    private Long expectedRevenue;

    /**
     * 预计税收年份
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计税收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedTaxationYear;

    /**
     * 预计税收
     */
    @Excel(name = "预计税收")
    private Long expectedTaxation;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("type", getType()).append("templateId", getTemplateId()).append("revenueYear", getRevenueYear()).append("revenue", getRevenue()).append("taxationYear", getTaxationYear()).append("taxation", getTaxation()).append("expectedRevenueYear", getExpectedRevenueYear()).append("expectedRevenue", getExpectedRevenue()).append("expectedTaxationYear", getExpectedTaxationYear()).append("expectedTaxation", getExpectedTaxation()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
