package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 做大做强奖详情对象 bms_big_strong_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsBigStrongAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 成立时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date establishTime;

    /** 是否获得园区其他经营奖励 */
    @Excel(name = "是否获得园区其他经营奖励，0：是，1：否",readConverterExp = "0=是,1=否")
    private int isGainRewards;

    @Excel(name = "奖励说明")
    private String rewardDescription;

    @ApiModelProperty(value = "应收列表")
    private List<BmsFundingDetailAddDto> fundingDetailList;

    /** 企业近3年发展情况及未来发展计划 */
    @Excel(name = "企业近3年发展情况及未来发展计划")
    private String developmentPlan;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
