package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 信用管理奖补对象 bms_credit_management
 * 
 * @author farben
 * @date 2023-09-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsCreditManagementAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 项目方案（包括项目基本情况介绍、项目投资情况以及实施进展、项目目标及取得的主要成效） */
    @Excel(name = "项目方案")
    private String projectPlan;

    /** 资金使用说明（项目未完成的需提供，内容主要包括项目计划投资额，投资明细，目前已完成投资情况和后续投入计划等） */
    @Excel(name = "资金使用说明")
    private String usesFunds;

    /** 项目专项审计报告（项目已完成的需提供） */
    @Excel(name = "项目专项审计报告")
    private String auditReport;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
