package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 在线申报记录对象 bms_declaration_records
 * 
 * @author farben
 * @date 2023-08-28
 */
@Data
public class BmsDeclarationRecordsAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @Excel(name = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目Id")
    private Long projectId;

    @ApiModelProperty(value = "提交事项")
    private Long matter;

    /** 企业id */
    @ApiModelProperty(value = "企业id")
    private Long enterpriseId;

    /** 年份 */
    @ApiModelProperty(value = "年份")
    @Excel(name = "年份")
    private String year;

    /** 模板id */
    @ApiModelProperty(value = "模板id")
    private Long templateId;

    /** 申报模版类型 */
    @ApiModelProperty(value = "申报模版类型")
    private Long declarationTemplateType;

    /** 详情id：对应详情id */
    @ApiModelProperty(value = "详情id：对应详情id")
    private Long detailId;

    @ApiModelProperty(value = "添加的字段")
    private List<BmsFieldInfoAddDto> fieldList;

    @ApiModelProperty(value = "上传的文件")
    private List<BmsFileInfoAddDto> fileList;


}
