package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.declaration.entity.BmsDeclarationRecords;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * 在线申报列表VO
 * <p>
 *
 * @className: BmsDeclarationRecordsDto
 * @author: emiya.xie
 * @create: 2023-08-28 17:54
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsDeclarationRecordsDto extends BmsDeclarationRecords {


    @ApiModelProperty(value = "申报任务标题")
    @Excel(name = "申报任务标题")
    private String enterpriseDirectory;


    @ApiModelProperty(value = "申报单位")
    @Excel(name = "申报单位")
    private String enterpriseName;

    /** 级别 0:本级,1:省级 */
    @ApiModelProperty(value = "级别 0:本级,1:省级")
    @Excel(name = "级别", readConverterExp = "0=本级,1=省级")
    private Long level;

//    /** 申报类型 0:/, 1:试点区域,2:龙头型,3:创新型 */
//    @ApiModelProperty(value = "申报类型 0:/, 1:试点区域,2:龙头型,3:创新型")
//    @Excel(name = "申报类型", readConverterExp = "0=/,1=试点区域,2=龙头型,3=创新型")
//    private Long type;

    /** 责任单位 0：经发委:1：规建委:2：行审局:3：市监局 */
    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Long responsibilityUnit;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审不通过,9=终审不通过，10=初审驳回")
    @Excel(name = "审批状态",readConverterExp = "0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审不通过,9=终审不通过，10=初审驳回")
    private List<Long> statusStr;

    @ApiModelProperty(value = "0=未填报,1=已填报")
    private Integer statusChange;
}
