package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业基础信息对象 bms_enterprise_basic_info
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
public class BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name = "企业统一信用代码")
    @ApiModelProperty(value = "企业统一信用代码")
    private String creditCode;

    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @Excel(name = "联系人")
    @ApiModelProperty(value = "联系人")
    private String contacts;

    @Excel(name = "联系人电话")
    @ApiModelProperty(value = "联系人电话")
    private String contactsNumber;

    @Excel(name = "企业地址")
    @ApiModelProperty(value = "企业地址")
    private String address;

    @ApiModelProperty(value = "在线申报模版id")
    private int templateRecordId;

    @ApiModelProperty(value = "申报时间")
    private Date fillingTime;

//    @ApiModelProperty(value = "申报模版类型")
//    private int declarationTemplateType;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @ApiModelProperty(value = "年份")
    private String year;

    @ApiModelProperty(value = "审批状态：0:草稿，1:初审中")
    private Integer status;
}
