package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 两业融合奖补对象 bms_integration_industries
 * 
 * @author farben
 * @date 2023-09-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsIntegrationIndustriesAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name = "申报类型",readConverterExp = "1=两业融合示范企业,2=制造业企业设立财务独立核算的制造服务业职能部门,3=制造业企业剥离服务业务成立独立的法人")
    private Integer declarationType;

    /** 证明材料 */
    @Excel(name = "证明材料")
    private String evidence;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicense;

    /** 完税证明 */
    @Excel(name = "完税证明")
    private String taxPaymentCertificate;

    /** 审计报告 */
    @Excel(name = "审计报告")
    private String auditReport;

    /** 股权架构图 */
    @Excel(name = "股权架构图")
    private String equityStructureChart;

    /** 项目申报报告（含企业基本情况和项目基本情况） */
    @Excel(name = "项目申报报告")
    private String declarationReport;

    /** 独立核算相关证明 */
    @Excel(name = "独立核算相关证明")
    private String independentAccounting;

    /** 验资报告 */
    @Excel(name = "验资报告")
    private String capitalVerificationReport;

    /** 证明材料 */
    @Excel(name = "证明材料")
    private String otherEvidence;
    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
