package com.ruoyi.jjh.declaration.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 2024年度淘汰落后和退出低端低效产能装备清单 bms_out_quit_products 新增
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsOutQuitProductsAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    /**
     * 主要产品
     */
    @ApiModelProperty("主要产品")
    private String mainProducts;

    /**
     * 所属行业 1轻工 2纺织 3冶金 4化工 5建材 6机械加工
     */
    @ApiModelProperty("所属行业 1轻工 2纺织 3冶金 4化工 5建材 6机械加工")
    private Integer industry;

    /**
     * 工作联系人
     */
    @ApiModelProperty("工作联系人")
    private String workContact;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String iphone;

    /**
     * 类别 1 淘汰落后生产工艺装备 2 退出低端低效生产工艺装备
     */
    @ApiModelProperty("类别 1 淘汰落后生产工艺装备 2 退出低端低效生产工艺装备")
    private Integer type;

    /**
     * 拟淘汰或退出生产工艺装备情况（和类别对应）
     */
    @ApiModelProperty("拟淘汰或退出生产工艺装备情况（和类别对应）")
    private String specifics;

    /**
     * 其他相关情况说明
     */
    @ApiModelProperty("其他相关情况说明")
    private String otherSpecifics;

    /**
     * 在线申报记录id
     */
    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
