package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 资金信息对象 bsm_funding_info
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
public class BsmFundingInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 模板类型：0：项目落户奖补，1：做大做强奖补 */
    @Excel(name = "模板类型：1：项目落户奖补，2：做大做强奖补")
    private Long type;

    /** 对应模板id */
    @Excel(name = "对应模板id")
    private Long templateId;

    @ApiModelProperty(value = "详情id")
    private Long detailId;

    /** 营收年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date revenueYear;

    /** 营收 */
    @Excel(name = "营收")
    private Long revenue;

    /** 税收年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "税收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date taxationYear;

    /** 税收 */
    @Excel(name = "税收")
    private Long taxation;

    /** 预计营收年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计营收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedRevenueYear;

    /** 预计营收 */
    @Excel(name = "预计营收")
    private Long expectedRevenue;

    /** 预计税收年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计税收年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedTaxationYear;

    /** 预计税收 */
    @Excel(name = "预计税收")
    private Long expectedTaxation;

}
