package com.ruoyi.jjh.declaration.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 审批记录信息对象 bms_approval_info
 * 
 * @author farben
 * @date 2023-09-09
 */
@ApiModel("审批记录信息对象")
@Data
public class BmsApprovalInfoQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键Id")
    private Long id;

    @ApiModelProperty("默认审批人id")
    @Excel(name = "默认审批人id")
    private Long approvalById;

    @ApiModelProperty("默认审批人")
    @Excel(name = "默认审批人")
    private String approvalByName;

    /** 审批状态(0=待审核.1=审批通过,2=审批驳回) */
    @ApiModelProperty("审批状态(0=待审核.1=审批通过,2=审批驳回)")
    @Excel(name = "审批状态(0=待审核.1=审批通过,2=审批驳回)")
    private Integer approvalStatus;

    /** 审批意见 */
    @ApiModelProperty("审批意见")
    @Excel(name = "审批意见")
    private String approvalOpinions;

    /** 审批附件 */
    @ApiModelProperty("审批附件")
    @Excel(name = "审批附件")
    private String approvalAttachment;

    /** 是否可审核(0=是,1=否,2=结束) */
    @ApiModelProperty("是否可审核(0=是,1=否,2=结束)")
    @Excel(name = "是否可审核(0=是,1=否,2=结束)")
    private Integer isReview;

    @ApiModelProperty("是否为拒绝前数据，0：否，1：是")
    @Excel(name = "是否为拒绝前数据，0：否，1：是")
    private Integer isBeforeData;

    /** 排序 */
    @ApiModelProperty("排序")
    @Excel(name = "排序")
    private Integer sort;

    @ApiModelProperty("审批时间")
    @Excel(name = "审批时间")
    private String approvalTime;

}
