package com.ruoyi.jjh.declaration.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 在线申报列表VO
 * <p>
 *
 * @className: BmsDeclarationRecordsQueryVo
 * @author: emiya.xie
 * @create: 2023-08-28 17:54
 */
@Data
public class BmsDeclarationRecordsQueryVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申报任务标题")
    private String enterpriseDirectory;

    @ApiModelProperty(value = "企业社会信用代码")
    private String creditCode;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "项目库Id")
    private Long jjhProjectId;

    @ApiModelProperty(value = "项目名称")
    @Excel(name = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @ApiModelProperty(value = "申报单位")
    @Excel(name = "申报单位")
    private String enterpriseName;

    @ApiModelProperty(value = "级别 0:本级,1:省级")
    @Excel(name = "级别", readConverterExp = "0=本级,1=省级")
    private Long level;

    @ApiModelProperty(value = "年份")
    @Excel(name = "年份")
    private String year;

    @ApiModelProperty(value = "申报类型 0:/, 1:试点区域,2:龙头型,3:创新型")
    @Excel(name = "申报类型", readConverterExp = "0=/,1=试点区域,2=龙头型,3=创新型")
    private Long type;

    @ApiModelProperty(value = "申报途径 0:系统申报；1:补录")
    @Excel(name = "申报途径", readConverterExp = "0=系统申报,1=补录")
    private Integer road;

    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Long responsibilityUnit;

    @ApiModelProperty(value = "申报模板")
    @Excel(name = "申报模板", readConverterExp = "1=项目落户奖补企业申报模版,2=做大做强奖补企业申报模版,3=载体建设奖补企业申报模版" +
            ",4=平台建设奖补企业申报模版,5=品牌打造奖补企业申报模版,6=场景开放奖补企业申报模版,7=信用管理奖补企业申报模版" +
            ",8=5G+工业互联网奖补企业申报模版,9=制造服务业有效投入奖补企业申报模版,10=物流发展奖补企业申报模版")
    private Long templateId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "申报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "企业id")
    private Long enterpriseId;

    @ApiModelProperty(value = "在线模板id")
    private Long templateRecordId;

//    @ApiModelProperty(value = "申报模板id")
//    private Long templateId;

    @ApiModelProperty(value = "详情id：对应详情id")
    private Long detailId;

    @ApiModelProperty(value = "审批状态")
    @Excel(name = "审批状态", readConverterExp = "0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审驳回,9=终审不通过，10=退回修改")
    private Long status;

}
