package com.ruoyi.jjh.declaration.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.declaration.entity.dto.BmsEnterpriseBasicInfoAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsFundingDetailAddDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 项目落户奖补对象 bms_project_settlement_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsProjectSettlementAwardVo extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录id")
    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申报单位成立时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "申报单位成立时间")
    private Date establishTime;

    @Excel(name = "截至目前员工人数")
    @ApiModelProperty(value = "截至目前员工人数")
    private Long employeeNum;

    @ApiModelProperty(value = "应收列表")
    private List<BmsFundingDetailAddDto> fundingDetailList;

    @Excel(name = "招商协议")
    @ApiModelProperty(value = "招商协议")
    private String agreement;

    @Excel(name = "验资报告")
    @ApiModelProperty(value = "验资报告")
    private String report;

    @Excel(name = "其他材料")
    @ApiModelProperty(value = "其他材料")
    private String otherMaterials;

    @Excel(name = "营业执照")
    @ApiModelProperty(value = "营业执照")
    private String businessLicense;

    @ApiModelProperty(value = "创建者")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "备注")
    private String remark;

}
