package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsApprovalInfo;
import com.ruoyi.jjh.declaration.entity.vo.BmsApprovalInfoQueryVo;

import java.util.List;

/**
 * 审批记录信息Mapper接口
 * 
 * @author farben
 * @date 2023-09-09
 */
public interface BmsApprovalInfoMapper extends BaseMapper<BmsApprovalInfo> {
    /**
     * 查询审批记录信息
     * 
     * @param id 审批记录信息主键
     * @return 审批记录信息
     */
    public BmsApprovalInfo selectBmsApprovalInfoById(Long id);

    /**
     * 查询审批记录信息列表
     * 
     * @param bmsApprovalInfo 审批记录信息
     * @return 审批记录信息集合
     */
    public List<BmsApprovalInfo> selectBmsApprovalInfoList(BmsApprovalInfo bmsApprovalInfo);

    /**
     * 新增审批记录信息
     * 
     * @param bmsApprovalInfo 审批记录信息
     * @return 结果
     */
    public int insertBmsApprovalInfo(BmsApprovalInfo bmsApprovalInfo);

    /**
     * 修改审批记录信息
     * 
     * @param bmsApprovalInfo 审批记录信息
     * @return 结果
     */
    public int updateBmsApprovalInfo(BmsApprovalInfo bmsApprovalInfo);

    /**
     * 删除审批记录信息
     * 
     * @param id 审批记录信息主键
     * @return 结果
     */
    public int deleteBmsApprovalInfoById(Long id);

    /**
     * 批量删除审批记录信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsApprovalInfoByIds(Long[] ids);

    public int updateApproval(Long declarationRecordsId);

    public int updateApprovalList(List<Long> list);

    public List<BmsApprovalInfoQueryVo> getApprovalInfoList(Long declarationRecordsId);
}
