package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsBigStrongAward;
import com.ruoyi.jjh.declaration.entity.vo.BmsBigStrongAwardQueryVo;

import java.util.List;

/**
 * 做大做强奖详情Mapper接口
 *
 * @author farben
 * @date 2023-08-25
 */
public interface BmsBigStrongAwardMapper extends BaseMapper<BmsBigStrongAward> {
    /**
     * 查询做大做强奖详情
     *
     * @param id 做大做强奖详情主键
     * @return 做大做强奖详情
     */
    public BmsBigStrongAwardQueryVo selectBmsBigStrongAwardById(Long id);

    /**
     * 查询做大做强奖详情列表
     *
     * @param bmsBigStrongAward 做大做强奖详情
     * @return 做大做强奖详情集合
     */
    public List<BmsBigStrongAward> selectBmsBigStrongAwardList(BmsBigStrongAward bmsBigStrongAward);

    /**
     * 新增做大做强奖详情
     *
     * @param bmsBigStrongAward 做大做强奖详情
     * @return 结果
     */
    public int insertBmsBigStrongAward(BmsBigStrongAward bmsBigStrongAward);

    /**
     * 修改做大做强奖详情
     *
     * @param bmsBigStrongAward 做大做强奖详情
     * @return 结果
     */
    public int updateBmsBigStrongAward(BmsBigStrongAward bmsBigStrongAward);

    /**
     * 删除做大做强奖详情
     *
     * @param id 做大做强奖详情主键
     * @return 结果
     */
    public int deleteBmsBigStrongAwardById(Long id);

    /**
     * 批量删除做大做强奖详情
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsBigStrongAwardByIds(Long[] ids);
}
