package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsBrandingAward;

import java.util.List;

/**
 * 品牌打造奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsBrandingAwardMapper extends BaseMapper<BmsBrandingAward> {
    /**
     * 查询品牌打造奖补
     * 
     * @param id 品牌打造奖补主键
     * @return 品牌打造奖补
     */
    public BmsBrandingAward selectBmsBrandingAwardById(Long id);

    /**
     * 查询品牌打造奖补列表
     * 
     * @param bmsBrandingAward 品牌打造奖补
     * @return 品牌打造奖补集合
     */
    public List<BmsBrandingAward> selectBmsBrandingAwardList(BmsBrandingAward bmsBrandingAward);

    /**
     * 新增品牌打造奖补
     * 
     * @param bmsBrandingAward 品牌打造奖补
     * @return 结果
     */
    public int insertBmsBrandingAward(BmsBrandingAward bmsBrandingAward);

    /**
     * 修改品牌打造奖补
     * 
     * @param bmsBrandingAward 品牌打造奖补
     * @return 结果
     */
    public int updateBmsBrandingAward(BmsBrandingAward bmsBrandingAward);

    /**
     * 删除品牌打造奖补
     * 
     * @param id 品牌打造奖补主键
     * @return 结果
     */
    public int deleteBmsBrandingAwardById(Long id);

    /**
     * 批量删除品牌打造奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsBrandingAwardByIds(Long[] ids);
}
