package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsCarrierConstructionAward;

import java.util.List;

/**
 * 载体建设奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsCarrierConstructionAwardMapper extends BaseMapper<BmsCarrierConstructionAward> {
    /**
     * 查询载体建设奖补
     * 
     * @param id 载体建设奖补主键
     * @return 载体建设奖补
     */
    public BmsCarrierConstructionAward selectBmsCarrierConstructionAwardById(Long id);

    /**
     * 查询载体建设奖补列表
     * 
     * @param bmsCarrierConstructionAward 载体建设奖补
     * @return 载体建设奖补集合
     */
    public List<BmsCarrierConstructionAward> selectBmsCarrierConstructionAwardList(BmsCarrierConstructionAward bmsCarrierConstructionAward);

    /**
     * 新增载体建设奖补
     * 
     * @param bmsCarrierConstructionAward 载体建设奖补
     * @return 结果
     */
    public int insertBmsCarrierConstructionAward(BmsCarrierConstructionAward bmsCarrierConstructionAward);

    /**
     * 修改载体建设奖补
     * 
     * @param bmsCarrierConstructionAward 载体建设奖补
     * @return 结果
     */
    public int updateBmsCarrierConstructionAward(BmsCarrierConstructionAward bmsCarrierConstructionAward);

    /**
     * 删除载体建设奖补
     * 
     * @param id 载体建设奖补主键
     * @return 结果
     */
    public int deleteBmsCarrierConstructionAwardById(Long id);

    /**
     * 批量删除载体建设奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsCarrierConstructionAwardByIds(Long[] ids);
}
