package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsCreditManagement;

import java.util.List;

/**
 * 信用管理奖补Mapper接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface BmsCreditManagementMapper extends BaseMapper<BmsCreditManagement> {
    /**
     * 查询信用管理奖补
     * 
     * @param id 信用管理奖补主键
     * @return 信用管理奖补
     */
    public BmsCreditManagement selectBmsCreditManagementById(Long id);

    /**
     * 查询信用管理奖补列表
     * 
     * @param bmsCreditManagement 信用管理奖补
     * @return 信用管理奖补集合
     */
    public List<BmsCreditManagement> selectBmsCreditManagementList(BmsCreditManagement bmsCreditManagement);

    /**
     * 新增信用管理奖补
     * 
     * @param bmsCreditManagement 信用管理奖补
     * @return 结果
     */
    public int insertBmsCreditManagement(BmsCreditManagement bmsCreditManagement);

    /**
     * 修改信用管理奖补
     * 
     * @param bmsCreditManagement 信用管理奖补
     * @return 结果
     */
    public int updateBmsCreditManagement(BmsCreditManagement bmsCreditManagement);

    /**
     * 删除信用管理奖补
     * 
     * @param id 信用管理奖补主键
     * @return 结果
     */
    public int deleteBmsCreditManagementById(Long id);

    /**
     * 批量删除信用管理奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsCreditManagementByIds(Long[] ids);
}
