package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoWorkRequest;

import java.util.List;

/**
 * 企业基础信息Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsEnterpriseBasicInfoMapper extends BaseMapper<BmsEnterpriseBasicInfo> {
    /**
     * 查询企业基础信息
     * 
     * @param id 企业基础信息主键
     * @return 企业基础信息
     */
    public BmsEnterpriseBasicInfo selectBmsEnterpriseBasicInfoById(Long id);

    /**
     * 查询企业基础信息列表
     * 
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 企业基础信息集合
     */
    public List<BmsEnterpriseBasicInfo> selectBmsEnterpriseBasicInfoList(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo);

    /**
     * 新增企业基础信息
     * 
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 结果
     */
    public int insertBmsEnterpriseBasicInfo(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo);

    /**
     * 修改企业基础信息
     * 
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 结果
     */
    public int updateBmsEnterpriseBasicInfo(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo);

    /**
     * 删除企业基础信息
     * 
     * @param id 企业基础信息主键
     * @return 结果
     */
    public int deleteBmsEnterpriseBasicInfoById(Long id);

    /**
     * 批量删除企业基础信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsEnterpriseBasicInfoByIds(Long[] ids);

    /**
     * 作业台查询企业信息
     */
    List<BmsEnterpriseBasicInfo> workSearch(EnterpriseInfoWorkRequest enterpriseInfoWorkRequest);
}
