package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsFieldInfo;

import java.util.List;

/**
 * 模板字段填写详情Mapper接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface BmsFieldInfoMapper extends BaseMapper<BmsFieldInfo> {
    /**
     * 查询模板字段填写详情
     * 
     * @param id 模板字段填写详情主键
     * @return 模板字段填写详情
     */
    public BmsFieldInfo selectBmsFieldInfoById(Long id);

    /**
     * 查询模板字段填写详情列表
     * 
     * @param bmsFieldInfo 模板字段填写详情
     * @return 模板字段填写详情集合
     */
    public List<BmsFieldInfo> selectBmsFieldInfoList(BmsFieldInfo bmsFieldInfo);

    /**
     * 新增模板字段填写详情
     * 
     * @param bmsFieldInfo 模板字段填写详情
     * @return 结果
     */
    public int insertBmsFieldInfo(BmsFieldInfo bmsFieldInfo);

    /**
     * 修改模板字段填写详情
     * 
     * @param bmsFieldInfo 模板字段填写详情
     * @return 结果
     */
    public int updateBmsFieldInfo(BmsFieldInfo bmsFieldInfo);

    /**
     * 删除模板字段填写详情
     * 
     * @param id 模板字段填写详情主键
     * @return 结果
     */
    public int deleteBmsFieldInfoById(Long id);

    /**
     * 批量删除模板字段填写详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsFieldInfoByIds(Long[] ids);
}
