package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsFileInfo;

import java.util.List;

/**
 * 文件存储说明详情Mapper接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface BmsFileInfoMapper extends BaseMapper<BmsFileInfo> {
    /**
     * 查询文件存储说明详情
     * 
     * @param id 文件存储说明详情主键
     * @return 文件存储说明详情
     */
    public BmsFileInfo selectBmsFileInfoById(Long id);

    /**
     * 查询文件存储说明详情列表
     * 
     * @param bmsFileInfo 文件存储说明详情
     * @return 文件存储说明详情集合
     */
    public List<BmsFileInfo> selectBmsFileInfoList(BmsFileInfo bmsFileInfo);

    /**
     * 新增文件存储说明详情
     * 
     * @param bmsFileInfo 文件存储说明详情
     * @return 结果
     */
    public int insertBmsFileInfo(BmsFileInfo bmsFileInfo);

    /**
     * 修改文件存储说明详情
     * 
     * @param bmsFileInfo 文件存储说明详情
     * @return 结果
     */
    public int updateBmsFileInfo(BmsFileInfo bmsFileInfo);

    /**
     * 删除文件存储说明详情
     * 
     * @param id 文件存储说明详情主键
     * @return 结果
     */
    public int deleteBmsFileInfoById(Long id);

    /**
     * 批量删除文件存储说明详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsFileInfoByIds(Long[] ids);
}
