package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;

import java.util.List;

/**
 * 资金信息详情Mapper接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface BmsFundingDetailMapper extends BaseMapper<BmsFundingDetail> {
    /**
     * 查询资金信息详情
     * 
     * @param id 资金信息详情主键
     * @return 资金信息详情
     */
    public BmsFundingDetail selectBmsFundingDetailById(Long id);

    /**
     * 查询资金信息详情列表
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 资金信息详情集合
     */
    public List<BmsFundingDetail> selectBmsFundingDetailList(BmsFundingDetail bmsFundingDetail);

    /**
     * 新增资金信息详情
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 结果
     */
    public int insertBmsFundingDetail(BmsFundingDetail bmsFundingDetail);

    /**
     * 修改资金信息详情
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 结果
     */
    public int updateBmsFundingDetail(BmsFundingDetail bmsFundingDetail);

    /**
     * 删除资金信息详情
     * 
     * @param id 资金信息详情主键
     * @return 结果
     */
    public int deleteBmsFundingDetailById(Long id);

    /**
     * 批量删除资金信息详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsFundingDetailByIds(Long[] ids);
}
