package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsIndustrialInternetAward;

import java.util.List;

/**
 * 5G+工业互联网奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsIndustrialInternetAwardMapper extends BaseMapper<BmsIndustrialInternetAward> {
    /**
     * 查询5G+工业互联网奖补
     * 
     * @param id 5G+工业互联网奖补主键
     * @return 5G+工业互联网奖补
     */
    public BmsIndustrialInternetAward selectBmsIndustrialInternetAwardById(Long id);

    /**
     * 查询5G+工业互联网奖补列表
     * 
     * @param bmsIndustrialInternetAward 5G+工业互联网奖补
     * @return 5G+工业互联网奖补集合
     */
    public List<BmsIndustrialInternetAward> selectBmsIndustrialInternetAwardList(BmsIndustrialInternetAward bmsIndustrialInternetAward);

    /**
     * 新增5G+工业互联网奖补
     * 
     * @param bmsIndustrialInternetAward 5G+工业互联网奖补
     * @return 结果
     */
    public int insertBmsIndustrialInternetAward(BmsIndustrialInternetAward bmsIndustrialInternetAward);

    /**
     * 修改5G+工业互联网奖补
     * 
     * @param bmsIndustrialInternetAward 5G+工业互联网奖补
     * @return 结果
     */
    public int updateBmsIndustrialInternetAward(BmsIndustrialInternetAward bmsIndustrialInternetAward);

    /**
     * 删除5G+工业互联网奖补
     * 
     * @param id 5G+工业互联网奖补主键
     * @return 结果
     */
    public int deleteBmsIndustrialInternetAwardById(Long id);

    /**
     * 批量删除5G+工业互联网奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsIndustrialInternetAwardByIds(Long[] ids);
}
