package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsIntegrationIndustries;

import java.util.List;

/**
 * 两业融合奖补Mapper接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface BmsIntegrationIndustriesMapper extends BaseMapper<BmsIntegrationIndustries> {
    /**
     * 查询两业融合奖补
     * 
     * @param id 两业融合奖补主键
     * @return 两业融合奖补
     */
    public BmsIntegrationIndustries selectBmsIntegrationIndustriesById(Long id);

    /**
     * 查询两业融合奖补列表
     * 
     * @param bmsIntegrationIndustries 两业融合奖补
     * @return 两业融合奖补集合
     */
    public List<BmsIntegrationIndustries> selectBmsIntegrationIndustriesList(BmsIntegrationIndustries bmsIntegrationIndustries);

    /**
     * 新增两业融合奖补
     * 
     * @param bmsIntegrationIndustries 两业融合奖补
     * @return 结果
     */
    public int insertBmsIntegrationIndustries(BmsIntegrationIndustries bmsIntegrationIndustries);

    /**
     * 修改两业融合奖补
     * 
     * @param bmsIntegrationIndustries 两业融合奖补
     * @return 结果
     */
    public int updateBmsIntegrationIndustries(BmsIntegrationIndustries bmsIntegrationIndustries);

    /**
     * 删除两业融合奖补
     * 
     * @param id 两业融合奖补主键
     * @return 结果
     */
    public int deleteBmsIntegrationIndustriesById(Long id);

    /**
     * 批量删除两业融合奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsIntegrationIndustriesByIds(Long[] ids);
}
