package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsOutQuitProducts;
import com.ruoyi.jjh.declaration.entity.BmsOutQuitProducts;

import java.util.List;

/**
 * 2024年度淘汰落后和退出低端低效产能装备清单 Mapper接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface BmsOutQuitProductsMapper extends BaseMapper<BmsOutQuitProducts> {

    /**
     * 查询2024年度淘汰落后和退出低端低效产能装备清单列表
     * 
     * @param bmsCreditManagement 信用管理奖补
     * @return 信用管理奖补集合
     */
     List<BmsOutQuitProducts> selectBmsOutQuitProductsList(BmsOutQuitProducts bmsCreditManagement);

    /**
     * 删除2024年度淘汰落后和退出低端低效产能装备清单
     * 
     * @param id 信用管理奖补主键
     * @return 结果
     */
     int deleteBmsOutQuitProductsById(Long id);

    /**
     * 批量删除2024年度淘汰落后和退出低端低效产能装备清单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteBmsOutQuitProductsByIds(Long[] ids);
}
