package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsProcessInfo;

import java.util.List;

/**
 * 审批流程Mapper接口
 * 
 * @author farben
 * @date 2023-09-09
 */
public interface BmsProcessInfoMapper extends BaseMapper<BmsProcessInfo> {
    /**
     * 查询审批流程
     * 
     * @param id 审批流程主键
     * @return 审批流程
     */
    public BmsProcessInfo selectBmsProcessInfoById(Long id);

    /**
     * 查询审批流程列表
     * 
     * @param bmsProcessInfo 审批流程
     * @return 审批流程集合
     */
    public List<BmsProcessInfo> selectBmsProcessInfoList(BmsProcessInfo bmsProcessInfo);

    /**
     * 新增审批流程
     * 
     * @param bmsProcessInfo 审批流程
     * @return 结果
     */
    public int insertBmsProcessInfo(BmsProcessInfo bmsProcessInfo);

    /**
     * 修改审批流程
     * 
     * @param bmsProcessInfo 审批流程
     * @return 结果
     */
    public int updateBmsProcessInfo(BmsProcessInfo bmsProcessInfo);

    /**
     * 删除审批流程
     * 
     * @param id 审批流程主键
     * @return 结果
     */
    public int deleteBmsProcessInfoById(Long id);

    /**
     * 批量删除审批流程
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsProcessInfoByIds(Long[] ids);
}
