package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsProjectInfo;

import java.util.List;

/**
 * 项目基本信息Mapper接口
 * 
 * @author farben
 * @date 2023-09-09
 */
public interface BmsProjectInfoMapper extends BaseMapper<BmsProjectInfo> {
    /**
     * 查询项目基本信息
     * 
     * @param id 项目基本信息主键
     * @return 项目基本信息
     */
    public BmsProjectInfo selectBmsProjectInfoById(Long id);

    /**
     * 查询项目基本信息列表
     * 
     * @param bmsProjectInfo 项目基本信息
     * @return 项目基本信息集合
     */
    public List<BmsProjectInfo> selectBmsProjectInfoList(BmsProjectInfo bmsProjectInfo);

    /**
     * 新增项目基本信息
     * 
     * @param bmsProjectInfo 项目基本信息
     * @return 结果
     */
    public int insertBmsProjectInfo(BmsProjectInfo bmsProjectInfo);

    /**
     * 修改项目基本信息
     * 
     * @param bmsProjectInfo 项目基本信息
     * @return 结果
     */
    public int updateBmsProjectInfo(BmsProjectInfo bmsProjectInfo);

    /**
     * 删除项目基本信息
     * 
     * @param id 项目基本信息主键
     * @return 结果
     */
    public int deleteBmsProjectInfoById(Long id);

    /**
     * 批量删除项目基本信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsProjectInfoByIds(Long[] ids);


    public BmsProjectInfo getProjectInfo(Long templateRecordId);
}
