package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsProjectSettlementAward;
import com.ruoyi.jjh.declaration.entity.vo.BmsProjectSettlementAwardQueryVo;

import java.util.List;

/**
 * 项目落户奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsProjectSettlementAwardMapper extends BaseMapper<BmsProjectSettlementAward> {
    /**
     * 查询项目落户奖补
     * 
     * @param id 项目落户奖补主键
     * @return 项目落户奖补
     */
    public BmsProjectSettlementAwardQueryVo selectBmsProjectSettlementAwardById(Long id);

    /**
     * 查询项目落户奖补列表
     * 
     * @param bmsProjectSettlementAward 项目落户奖补
     * @return 项目落户奖补集合
     */
    public List<BmsProjectSettlementAward> selectBmsProjectSettlementAwardList(BmsProjectSettlementAward bmsProjectSettlementAward);

    /**
     * 新增项目落户奖补
     * 
     * @param bmsProjectSettlementAward 项目落户奖补
     * @return 结果
     */
    public int insertBmsProjectSettlementAward(BmsProjectSettlementAward bmsProjectSettlementAward);

    /**
     * 修改项目落户奖补
     * 
     * @param bmsProjectSettlementAward 项目落户奖补
     * @return 结果
     */
    public int updateBmsProjectSettlementAward(BmsProjectSettlementAward bmsProjectSettlementAward);

    /**
     * 删除项目落户奖补
     * 
     * @param id 项目落户奖补主键
     * @return 结果
     */
    public int deleteBmsProjectSettlementAwardById(Long id);

    /**
     * 批量删除项目落户奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsProjectSettlementAwardByIds(Long[] ids);
}
