package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsSceneOpeningAward;

import java.util.List;

/**
 * 场景开放奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsSceneOpeningAwardMapper extends BaseMapper<BmsSceneOpeningAward> {
    /**
     * 查询场景开放奖补
     * 
     * @param id 场景开放奖补主键
     * @return 场景开放奖补
     */
    public BmsSceneOpeningAward selectBmsSceneOpeningAwardById(Long id);

    /**
     * 查询场景开放奖补列表
     * 
     * @param bmsSceneOpeningAward 场景开放奖补
     * @return 场景开放奖补集合
     */
    public List<BmsSceneOpeningAward> selectBmsSceneOpeningAwardList(BmsSceneOpeningAward bmsSceneOpeningAward);

    /**
     * 新增场景开放奖补
     * 
     * @param bmsSceneOpeningAward 场景开放奖补
     * @return 结果
     */
    public int insertBmsSceneOpeningAward(BmsSceneOpeningAward bmsSceneOpeningAward);

    /**
     * 修改场景开放奖补
     * 
     * @param bmsSceneOpeningAward 场景开放奖补
     * @return 结果
     */
    public int updateBmsSceneOpeningAward(BmsSceneOpeningAward bmsSceneOpeningAward);

    /**
     * 删除场景开放奖补
     * 
     * @param id 场景开放奖补主键
     * @return 结果
     */
    public int deleteBmsSceneOpeningAwardById(Long id);

    /**
     * 批量删除场景开放奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsSceneOpeningAwardByIds(Long[] ids);
}
