package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsTemplateInfo;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateInfoQueryVo;

import java.util.List;

/**
 * 申报模板信息Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsTemplateInfoMapper extends BaseMapper<BmsTemplateInfo> {
    /**
     * 查询申报模板信息
     * 
     * @param id 申报模板信息主键
     * @return 申报模板信息
     */
    public BmsTemplateInfo selectBmsTemplateInfoById(Long id);

    /**
     * 查询申报模板信息列表
     * 
     * @param bmsTemplateInfo 申报模板信息
     * @return 申报模板信息集合
     */
    public List<BmsTemplateInfoQueryVo> selectBmsTemplateInfoList(BmsTemplateInfo bmsTemplateInfo);
    /**
     * 查询申报模板信息列表
     *
     * @param bmsTemplateInfo 申报模板信息
     * @return 申报模板信息集合
     */
    public List<BmsTemplateInfoQueryVo> templateInfoList(BmsTemplateInfo bmsTemplateInfo);
    /**
     * 新增申报模板信息
     * 
     * @param bmsTemplateInfo 申报模板信息
     * @return 结果
     */
    public int insertBmsTemplateInfo(BmsTemplateInfo bmsTemplateInfo);

    /**
     * 修改申报模板信息
     * 
     * @param bmsTemplateInfo 申报模板信息
     * @return 结果
     */
    public int updateBmsTemplateInfo(BmsTemplateInfo bmsTemplateInfo);

    /**
     * 删除申报模板信息
     * 
     * @param id 申报模板信息主键
     * @return 结果
     */
    public int deleteBmsTemplateInfoById(Long id);

    /**
     * 批量删除申报模板信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsTemplateInfoByIds(Long[] ids);
}
