package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.declaration.entity.BmsTemplateRecord;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateQueryDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateRecordQueryDto;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateRecordQueryVo;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateRecordVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 在线模板Mapper接口
 * 
 * @author farben
 * @date 2023-09-07
 */
public interface BmsTemplateRecordMapper extends BaseMapper<BmsTemplateRecord> {
    /**
     * 查询在线模板
     * 
     * @param id 在线模板主键
     * @return 在线模板
     */
    public BmsTemplateRecord selectBmsTemplateRecordById(Long id);

    public BmsTemplateRecordVo selectBmsTemplateRecordVoById(Long id);

    /**
     * 查询在线模板列表
     * 
     * @param bmsTemplateRecord 在线模板
     * @return 在线模板集合
     */
    public List<BmsTemplateRecord> selectBmsTemplateRecordList(BmsTemplateRecord bmsTemplateRecord);

    /**
     * 新增在线模板
     * 
     * @param bmsTemplateRecord 在线模板
     * @return 结果
     */
    public int insertBmsTemplateRecord(BmsTemplateRecord bmsTemplateRecord);

    /**
     * 修改在线模板
     * 
     * @param bmsTemplateRecord 在线模板
     * @return 结果
     */
    public int updateBmsTemplateRecord(BmsTemplateRecord bmsTemplateRecord);

    /**
     * 删除在线模板
     * 
     * @param id 在线模板主键
     * @return 结果
     */
    public int deleteBmsTemplateRecordById(Long id);

    /**
     * 批量删除在线模板
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsTemplateRecordByIds(Long[] ids);

    public List<BmsTemplateRecordQueryVo> selectTemplateRecordVo(@Param("req") BmsTemplateRecordQueryDto bmsTemplateRecordQueryDto);

    public Page<BmsTemplateRecordQueryVo> selectTemplateRecordVo(Page<BmsTemplateRecordQueryVo> page,@Param("req")BmsTemplateRecordQueryDto bmsTemplateRecordQueryDto);

    public List<BmsTemplateRecordQueryVo> selectTemplateRecordList(@Param("creditCode") String creditCode);

    public List<BmsTemplateRecordQueryVo> selectBmsTemplateNameList(BmsTemplateQueryDto bmsTemplateQueryDto);
}
