package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsBigStrongAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsBigStrongAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsBigStrongAwardUpdateDto;
import com.ruoyi.jjh.declaration.entity.vo.BmsBigStrongAwardQueryVo;

import java.util.List;
import java.util.Map;

/**
 * 做大做强奖详情Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsBigStrongAwardService extends IService<BmsBigStrongAward> {
    /**
     * 查询做大做强奖详情
     * 
     * @param id 做大做强奖详情主键
     * @return 做大做强奖详情
     */
    public BmsBigStrongAwardQueryVo selectBmsBigStrongAwardById(Long id);

    /**
     * 查询做大做强奖详情列表
     * 
     * @param bmsBigStrongAward 做大做强奖详情
     * @return 做大做强奖详情集合
     */
    public List<BmsBigStrongAward> selectBmsBigStrongAwardList(BmsBigStrongAward bmsBigStrongAward);

    /**
     * 新增做大做强奖详情
     * 
     * @param bmsBigStrongAwardAddDto 做大做强奖详情
     * @return 结果
     */
    public int insertBmsBigStrongAward(BmsBigStrongAwardAddDto bmsBigStrongAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改做大做强奖详情
     * 
     * @param bmsBigStrongAwardUpdateDto 做大做强奖详情
     * @return 结果
     */
    public int updateBmsBigStrongAward(BmsBigStrongAwardUpdateDto bmsBigStrongAwardUpdateDto);

    /**
     * 批量删除做大做强奖详情
     * 
     * @param ids 需要删除的做大做强奖详情主键集合
     * @return 结果
     */
    public int deleteBmsBigStrongAwardByIds(Long[] ids);

    /**
     * 删除做大做强奖详情信息
     * 
     * @param id 做大做强奖详情主键
     * @return 结果
     */
    public int deleteBmsBigStrongAwardById(Long id);
}
