package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsBrandingAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsBrandingAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsBrandingAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 品牌打造奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsBrandingAwardService extends IService<BmsBrandingAward> {
    /**
     * 查询品牌打造奖补
     * 
     * @param id 品牌打造奖补主键
     * @return 品牌打造奖补
     */
    public BmsBrandingAward selectBmsBrandingAwardById(Long id);

    /**
     * 查询品牌打造奖补列表
     * 
     * @param bmsBrandingAward 品牌打造奖补
     * @return 品牌打造奖补集合
     */
    public List<BmsBrandingAward> selectBmsBrandingAwardList(BmsBrandingAward bmsBrandingAward);

    /**
     * 新增品牌打造奖补
     * 
     * @param bmsBrandingAwardAddDto 品牌打造奖补
     * @return 结果
     */
    public int insertBmsBrandingAward(BmsBrandingAwardAddDto bmsBrandingAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改品牌打造奖补
     * 
     * @param bmsBrandingAwardUpdateDto 品牌打造奖补
     * @return 结果
     */
    public int updateBmsBrandingAward(BmsBrandingAwardUpdateDto bmsBrandingAwardUpdateDto);

    /**
     * 批量删除品牌打造奖补
     * 
     * @param ids 需要删除的品牌打造奖补主键集合
     * @return 结果
     */
    public int deleteBmsBrandingAwardByIds(Long[] ids);

    /**
     * 删除品牌打造奖补信息
     * 
     * @param id 品牌打造奖补主键
     * @return 结果
     */
    public int deleteBmsBrandingAwardById(Long id);
}
