package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsCarrierConstructionAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsCarrierConstructionAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsCarrierConstructionAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 载体建设奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsCarrierConstructionAwardService extends IService<BmsCarrierConstructionAward> {
    /**
     * 查询载体建设奖补
     * 
     * @param id 载体建设奖补主键
     * @return 载体建设奖补
     */
    public BmsCarrierConstructionAward selectBmsCarrierConstructionAwardById(Long id);

    /**
     * 查询载体建设奖补列表
     * 
     * @param bmsCarrierConstructionAward 载体建设奖补
     * @return 载体建设奖补集合
     */
    public List<BmsCarrierConstructionAward> selectBmsCarrierConstructionAwardList(BmsCarrierConstructionAward bmsCarrierConstructionAward);

    /**
     * 新增载体建设奖补
     * 
     * @param bmsCarrierConstructionAwardAddDto 载体建设奖补
     * @return 结果
     */
    public int insertBmsCarrierConstructionAward(BmsCarrierConstructionAwardAddDto bmsCarrierConstructionAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改载体建设奖补
     * 
     * @param bmsCarrierConstructionAwardUpdateDto 载体建设奖补
     * @return 结果
     */
    public int updateBmsCarrierConstructionAward(BmsCarrierConstructionAwardUpdateDto bmsCarrierConstructionAwardUpdateDto);

    /**
     * 批量删除载体建设奖补
     * 
     * @param ids 需要删除的载体建设奖补主键集合
     * @return 结果
     */
    public int deleteBmsCarrierConstructionAwardByIds(Long[] ids);

    /**
     * 删除载体建设奖补信息
     * 
     * @param id 载体建设奖补主键
     * @return 结果
     */
    public int deleteBmsCarrierConstructionAwardById(Long id);
}
