package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsCreditManagement;
import com.ruoyi.jjh.declaration.entity.dto.BmsCreditManagementAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsCreditManagementUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 信用管理奖补Service接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface IBmsCreditManagementService extends IService<BmsCreditManagement> {
    /**
     * 查询信用管理奖补
     * 
     * @param id 信用管理奖补主键
     * @return 信用管理奖补
     */
    public BmsCreditManagement selectBmsCreditManagementById(Long id);

    /**
     * 查询信用管理奖补列表
     * 
     * @param bmsCreditManagement 信用管理奖补
     * @return 信用管理奖补集合
     */
    public List<BmsCreditManagement> selectBmsCreditManagementList(BmsCreditManagement bmsCreditManagement);

    /**
     * 新增信用管理奖补
     * 
     * @param bmsCreditManagementAddDto 信用管理奖补
     * @return 结果
     */
    public int insertBmsCreditManagement(BmsCreditManagementAddDto bmsCreditManagementAddDto);


    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);
    /**
     * 修改信用管理奖补
     * 
     * @param bmsCreditManagementUpdateDto 信用管理奖补
     * @return 结果
     */
    public int updateBmsCreditManagement(BmsCreditManagementUpdateDto bmsCreditManagementUpdateDto);

    /**
     * 批量删除信用管理奖补
     * 
     * @param ids 需要删除的信用管理奖补主键集合
     * @return 结果
     */
    public int deleteBmsCreditManagementByIds(Long[] ids);

    /**
     * 删除信用管理奖补信息
     * 
     * @param id 信用管理奖补主键
     * @return 结果
     */
    public int deleteBmsCreditManagementById(Long id);
}
