package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseDirectory;

import java.util.List;

/**
 * 企业名录Service接口
 * 
 * @author farben
 * @date 2023-08-31
 */
public interface IBmsEnterpriseDirectoryService extends IService<BmsEnterpriseDirectory> {
    /**
     * 查询企业名录
     * 
     * @param id 企业名录主键
     * @return 企业名录
     */
    public BmsEnterpriseDirectory selectBmsEnterpriseDirectoryById(Long id);

    /**
     * 查询企业名录列表
     * 
     * @param bmsEnterpriseDirectory 企业名录
     * @return 企业名录集合
     */
    public List<BmsEnterpriseDirectory> selectBmsEnterpriseDirectoryList(BmsEnterpriseDirectory bmsEnterpriseDirectory);

    /**
     * 新增企业名录
     * 
     * @param bmsEnterpriseDirectory 企业名录
     * @return 结果
     */
    public int insertBmsEnterpriseDirectory(BmsEnterpriseDirectory bmsEnterpriseDirectory);

    /**
     * 修改企业名录
     * 
     * @param bmsEnterpriseDirectory 企业名录
     * @return 结果
     */
    public int updateBmsEnterpriseDirectory(BmsEnterpriseDirectory bmsEnterpriseDirectory);

    /**
     * 批量删除企业名录
     * 
     * @param ids 需要删除的企业名录主键集合
     * @return 结果
     */
    public int deleteBmsEnterpriseDirectoryByIds(Long[] ids);

    /**
     * 删除企业名录信息
     * 
     * @param id 企业名录主键
     * @return 结果
     */
    public int deleteBmsEnterpriseDirectoryById(Long id);
}
