package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;

import java.util.List;

/**
 * 资金信息详情Service接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface IBmsFundingDetailService extends IService<BmsFundingDetail> {
    /**
     * 查询资金信息详情
     * 
     * @param id 资金信息详情主键
     * @return 资金信息详情
     */
    public BmsFundingDetail selectBmsFundingDetailById(Long id);

    /**
     * 查询资金信息详情列表
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 资金信息详情集合
     */
    public List<BmsFundingDetail> selectBmsFundingDetailList(BmsFundingDetail bmsFundingDetail);

    /**
     * 新增资金信息详情
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 结果
     */
    public int insertBmsFundingDetail(BmsFundingDetail bmsFundingDetail);

    /**
     * 修改资金信息详情
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 结果
     */
    public int updateBmsFundingDetail(BmsFundingDetail bmsFundingDetail);

    /**
     * 批量删除资金信息详情
     * 
     * @param ids 需要删除的资金信息详情主键集合
     * @return 结果
     */
    public int deleteBmsFundingDetailByIds(Long[] ids);

    /**
     * 删除资金信息详情信息
     * 
     * @param id 资金信息详情主键
     * @return 结果
     */
    public int deleteBmsFundingDetailById(Long id);
}
