package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsIndustrialInternetAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsIndustrialInternetAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsIndustrialInternetAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 5G+工业互联网奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsIndustrialInternetAwardService extends IService<BmsIndustrialInternetAward> {
    /**
     * 查询5G+工业互联网奖补
     * 
     * @param id 5G+工业互联网奖补主键
     * @return 5G+工业互联网奖补
     */
    public BmsIndustrialInternetAward selectBmsIndustrialInternetAwardById(Long id);

    /**
     * 查询5G+工业互联网奖补列表
     * 
     * @param bmsIndustrialInternetAward 5G+工业互联网奖补
     * @return 5G+工业互联网奖补集合
     */
    public List<BmsIndustrialInternetAward> selectBmsIndustrialInternetAwardList(BmsIndustrialInternetAward bmsIndustrialInternetAward);

    /**
     * 新增5G+工业互联网奖补
     * 
     * @param bmsIndustrialInternetAwardAddDto 5G+工业互联网奖补
     * @return 结果
     */
    public int insertBmsIndustrialInternetAward(BmsIndustrialInternetAwardAddDto bmsIndustrialInternetAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改5G+工业互联网奖补
     * 
     * @param bmsIndustrialInternetAwardUpdateDto 5G+工业互联网奖补
     * @return 结果
     */
    public int updateBmsIndustrialInternetAward(BmsIndustrialInternetAwardUpdateDto bmsIndustrialInternetAwardUpdateDto);

    /**
     * 批量删除5G+工业互联网奖补
     * 
     * @param ids 需要删除的5G+工业互联网奖补主键集合
     * @return 结果
     */
    public int deleteBmsIndustrialInternetAwardByIds(Long[] ids);

    /**
     * 删除5G+工业互联网奖补信息
     * 
     * @param id 5G+工业互联网奖补主键
     * @return 结果
     */
    public int deleteBmsIndustrialInternetAwardById(Long id);
}
