package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsIntegrationIndustries;
import com.ruoyi.jjh.declaration.entity.dto.BmsIntegrationIndustriesAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsIntegrationIndustriesUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 两业融合奖补Service接口
 * 
 * @author farben
 * @date 2023-09-04
 */
public interface IBmsIntegrationIndustriesService extends IService<BmsIntegrationIndustries> {
    /**
     * 查询两业融合奖补
     * 
     * @param id 两业融合奖补主键
     * @return 两业融合奖补
     */
    public BmsIntegrationIndustries selectBmsIntegrationIndustriesById(Long id);

    /**
     * 查询两业融合奖补列表
     * 
     * @param bmsIntegrationIndustries 两业融合奖补
     * @return 两业融合奖补集合
     */
    public List<BmsIntegrationIndustries> selectBmsIntegrationIndustriesList(BmsIntegrationIndustries bmsIntegrationIndustries);

    /**
     * 新增两业融合奖补
     * 
     * @param bmsIntegrationIndustriesAddDto 两业融合奖补
     * @return 结果
     */
    public int insertBmsIntegrationIndustries(BmsIntegrationIndustriesAddDto bmsIntegrationIndustriesAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改两业融合奖补
     * 
     * @param bmsIntegrationIndustriesUpdateDto 两业融合奖补
     * @return 结果
     */
    public int updateBmsIntegrationIndustries(BmsIntegrationIndustriesUpdateDto bmsIntegrationIndustriesUpdateDto);

    /**
     * 批量删除两业融合奖补
     * 
     * @param ids 需要删除的两业融合奖补主键集合
     * @return 结果
     */
    public int deleteBmsIntegrationIndustriesByIds(Long[] ids);

    /**
     * 删除两业融合奖补信息
     * 
     * @param id 两业融合奖补主键
     * @return 结果
     */
    public int deleteBmsIntegrationIndustriesById(Long id);
}
