package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsLogisticsDevelopmentAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsLogisticsDevelopmentAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsLogisticsDevelopmentAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 物流发展奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsLogisticsDevelopmentAwardService extends IService<BmsLogisticsDevelopmentAward> {
    /**
     * 查询物流发展奖补
     * 
     * @param id 物流发展奖补主键
     * @return 物流发展奖补
     */
    public BmsLogisticsDevelopmentAward selectBmsLogisticsDevelopmentAwardById(Long id);

    /**
     * 查询物流发展奖补列表
     * 
     * @param bmsLogisticsDevelopmentAward 物流发展奖补
     * @return 物流发展奖补集合
     */
    public List<BmsLogisticsDevelopmentAward> selectBmsLogisticsDevelopmentAwardList(BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward);

    /**
     * 新增物流发展奖补
     * 
     * @param bmsLogisticsDevelopmentAwardAddDto 物流发展奖补
     * @return 结果
     */
    public int insertBmsLogisticsDevelopmentAward(BmsLogisticsDevelopmentAwardAddDto bmsLogisticsDevelopmentAwardAddDto);



    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);
    /**
     * 修改物流发展奖补
     * 
     * @param bmsLogisticsDevelopmentAwardUpdateDto 物流发展奖补
     * @return 结果
     */
    public int updateBmsLogisticsDevelopmentAward(BmsLogisticsDevelopmentAwardUpdateDto bmsLogisticsDevelopmentAwardUpdateDto);

    /**
     * 批量删除物流发展奖补
     * 
     * @param ids 需要删除的物流发展奖补主键集合
     * @return 结果
     */
    public int deleteBmsLogisticsDevelopmentAwardByIds(Long[] ids);

    /**
     * 删除物流发展奖补信息
     * 
     * @param id 物流发展奖补主键
     * @return 结果
     */
    public int deleteBmsLogisticsDevelopmentAwardById(Long id);
}
