package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsManufacturingServicesAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsManufacturingServicesAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsManufacturingServicesAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 制造服务业有效投入奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsManufacturingServicesAwardService extends IService<BmsManufacturingServicesAward> {
    /**
     * 查询制造服务业有效投入奖补
     * 
     * @param id 制造服务业有效投入奖补主键
     * @return 制造服务业有效投入奖补
     */
    public BmsManufacturingServicesAward selectBmsManufacturingServicesAwardById(Long id);

    /**
     * 查询制造服务业有效投入奖补列表
     * 
     * @param bmsManufacturingServicesAward 制造服务业有效投入奖补
     * @return 制造服务业有效投入奖补集合
     */
    public List<BmsManufacturingServicesAward> selectBmsManufacturingServicesAwardList(BmsManufacturingServicesAward bmsManufacturingServicesAward);

    /**
     * 新增制造服务业有效投入奖补
     * 
     * @param bmsManufacturingServicesAwardAddDto 制造服务业有效投入奖补
     * @return 结果
     */
    public int insertBmsManufacturingServicesAward(BmsManufacturingServicesAwardAddDto bmsManufacturingServicesAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改制造服务业有效投入奖补
     * 
     * @param bmsManufacturingServicesAwardUpdateDto 制造服务业有效投入奖补
     * @return 结果
     */
    public int updateBmsManufacturingServicesAward(BmsManufacturingServicesAwardUpdateDto bmsManufacturingServicesAwardUpdateDto);

    /**
     * 批量删除制造服务业有效投入奖补
     * 
     * @param ids 需要删除的制造服务业有效投入奖补主键集合
     * @return 结果
     */
    public int deleteBmsManufacturingServicesAwardByIds(Long[] ids);

    /**
     * 删除制造服务业有效投入奖补信息
     * 
     * @param id 制造服务业有效投入奖补主键
     * @return 结果
     */
    public int deleteBmsManufacturingServicesAwardById(Long id);
}
