package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsBigStrongAward;
import com.ruoyi.jjh.declaration.entity.BmsOutQuitProducts;
import com.ruoyi.jjh.declaration.entity.dto.BmsBigStrongAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsBigStrongAwardUpdateDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsOutQuitProductsAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsOutQuitProductsUpdateDto;
import com.ruoyi.jjh.declaration.entity.vo.BmsBigStrongAwardQueryVo;

import java.util.List;
import java.util.Map;

/**
 * 2024年度淘汰落后和退出低端低效产能装备清单Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsOutQuitProductsService extends IService<BmsOutQuitProducts> {

    /**
     * 查询2024年度淘汰落后和退出低端低效产能装备清单列表
     * 
     * @param bmsOutQuitProducts 详情
     * @return 详情集合
     */
     List<BmsOutQuitProducts> selectBmsOutQuitProductsList(BmsOutQuitProducts bmsOutQuitProducts);

    /**
     * 新增2024年度淘汰落后和退出低端低效产能装备清单
     * 
     * @param bmsOutQuitProductsAddDto 详情
     * @return 结果
     */
     int insertBmsOutQuitProducts(BmsOutQuitProductsAddDto bmsOutQuitProductsAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改2024年度淘汰落后和退出低端低效产能装备清单
     * 
     * @param bmsOutQuitProductsUpdateDto 详情
     * @return 结果
     */
     int updateBmsOutQuitProducts(BmsOutQuitProductsUpdateDto bmsOutQuitProductsUpdateDto);

    /**
     * 批量删除2024年度淘汰落后和退出低端低效产能装备清单
     * 
     * @param ids 主键集合
     * @return 结果
     */
     int deleteBmsOutQuitProductsByIds(Long[] ids);

    /**
     * 删除2024年度淘汰落后和退出低端低效产能装备清单
     * 
     * @param id 详情主键
     * @return 结果
     */
     int deleteBmsOutQuitProductsById(Long id);
}
