package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsPlatformConstructionAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsPlatformConstructionAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 平台建设奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsPlatformConstructionAwardService extends IService<BmsPlatformConstructionAward> {
    /**
     * 查询平台建设奖补
     * 
     * @param id 平台建设奖补主键
     * @return 平台建设奖补
     */
    public BmsPlatformConstructionAward selectBmsPlatformConstructionAwardById(Long id);

    /**
     * 查询平台建设奖补列表
     * 
     * @param bmsPlatformConstructionAward 平台建设奖补
     * @return 平台建设奖补集合
     */
    public List<BmsPlatformConstructionAward> selectBmsPlatformConstructionAwardList(BmsPlatformConstructionAward bmsPlatformConstructionAward);

    /**
     * 新增平台建设奖补
     * 
     * @param bmsPlatformConstructionAwardAddDto 平台建设奖补
     * @return 结果
     */
    public int insertBmsPlatformConstructionAward(BmsPlatformConstructionAwardAddDto bmsPlatformConstructionAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改平台建设奖补
     * 
     * @param bmsPlatformConstructionAwardUpdateDto 平台建设奖补
     * @return 结果
     */
    public int updateBmsPlatformConstructionAward(BmsPlatformConstructionAwardUpdateDto bmsPlatformConstructionAwardUpdateDto);

    /**
     * 批量删除平台建设奖补
     * 
     * @param ids 需要删除的平台建设奖补主键集合
     * @return 结果
     */
    public int deleteBmsPlatformConstructionAwardByIds(Long[] ids);

    /**
     * 删除平台建设奖补信息
     * 
     * @param id 平台建设奖补主键
     * @return 结果
     */
    public int deleteBmsPlatformConstructionAwardById(Long id);
}
