package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsProcessInfo;

import java.util.List;

/**
 * 审批流程Service接口
 * 
 * @author farben
 * @date 2023-09-09
 */
public interface IBmsProcessInfoService extends IService<BmsProcessInfo> {
    /**
     * 查询审批流程
     * 
     * @param id 审批流程主键
     * @return 审批流程
     */
    public BmsProcessInfo selectBmsProcessInfoById(Long id);

    /**
     * 查询审批流程列表
     * 
     * @param bmsProcessInfo 审批流程
     * @return 审批流程集合
     */
    public List<BmsProcessInfo> selectBmsProcessInfoList(BmsProcessInfo bmsProcessInfo);

    /**
     * 新增审批流程
     * 
     * @param bmsProcessInfo 审批流程
     * @return 结果
     */
    public int insertBmsProcessInfo(BmsProcessInfo bmsProcessInfo);

    /**
     * 修改审批流程
     * 
     * @param bmsProcessInfo 审批流程
     * @return 结果
     */
    public int updateBmsProcessInfo(BmsProcessInfo bmsProcessInfo);

    /**
     * 批量删除审批流程
     * 
     * @param ids 需要删除的审批流程主键集合
     * @return 结果
     */
    public int deleteBmsProcessInfoByIds(Long[] ids);

    /**
     * 删除审批流程信息
     * 
     * @param id 审批流程主键
     * @return 结果
     */
    public int deleteBmsProcessInfoById(Long id);
}
