package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsProjectSettlementAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsProjectSettlementAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsProjectSettlementAwardUpdateDto;
import com.ruoyi.jjh.declaration.entity.vo.BmsProjectSettlementAwardQueryVo;

import java.util.List;
import java.util.Map;

/**
 * 项目落户奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsProjectSettlementAwardService extends IService<BmsProjectSettlementAward> {
    /**
     * 查询项目落户奖补
     * 
     * @param id 项目落户奖补主键
     * @return 项目落户奖补
     */
    public BmsProjectSettlementAwardQueryVo selectBmsProjectSettlementAwardById(Long id);

    /**
     * 查询项目落户奖补列表
     * 
     * @param bmsProjectSettlementAward 项目落户奖补
     * @return 项目落户奖补集合
     */
    public List<BmsProjectSettlementAward> selectBmsProjectSettlementAwardList(BmsProjectSettlementAward bmsProjectSettlementAward);

    /**
     * 新增项目落户奖补
     * 
     * @param bmsProjectSettlementAwardAddDto 项目落户奖补
     * @return 结果
     */
    public int insertBmsProjectSettlementAward(BmsProjectSettlementAwardAddDto bmsProjectSettlementAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);
    /**
     * 修改项目落户奖补
     * 
     * @param bmsProjectSettlementAwardUpdateDto 项目落户奖补
     * @return 结果
     */
    public int updateBmsProjectSettlementAward(BmsProjectSettlementAwardUpdateDto bmsProjectSettlementAwardUpdateDto);

    /**
     * 批量删除项目落户奖补
     * 
     * @param ids 需要删除的项目落户奖补主键集合
     * @return 结果
     */
    public int deleteBmsProjectSettlementAwardByIds(Long[] ids);

    /**
     * 删除项目落户奖补信息
     * 
     * @param id 项目落户奖补主键
     * @return 结果
     */
    public int deleteBmsProjectSettlementAwardById(Long id);
}
