package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsSceneOpeningAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsSceneOpeningAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsSceneOpeningAwardUpdateDto;

import java.util.List;
import java.util.Map;

/**
 * 场景开放奖补Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsSceneOpeningAwardService extends IService<BmsSceneOpeningAward> {
    /**
     * 查询场景开放奖补
     * 
     * @param id 场景开放奖补主键
     * @return 场景开放奖补
     */
    public BmsSceneOpeningAward selectBmsSceneOpeningAwardById(Long id);

    /**
     * 查询场景开放奖补列表
     * 
     * @param bmsSceneOpeningAward 场景开放奖补
     * @return 场景开放奖补集合
     */
    public List<BmsSceneOpeningAward> selectBmsSceneOpeningAwardList(BmsSceneOpeningAward bmsSceneOpeningAward);

    /**
     * 新增场景开放奖补
     * 
     * @param bmsSceneOpeningAwardAddDto 场景开放奖补
     * @return 结果
     */
    public int insertBmsSceneOpeningAward(BmsSceneOpeningAwardAddDto bmsSceneOpeningAwardAddDto);

    /**
     * otherJson
     */
    Map<String,String> getAllJson(Long id);

    /**
     * 修改场景开放奖补
     * 
     * @param bmsSceneOpeningAwardUpdateDto 场景开放奖补
     * @return 结果
     */
    public int updateBmsSceneOpeningAward(BmsSceneOpeningAwardUpdateDto bmsSceneOpeningAwardUpdateDto);

    /**
     * 批量删除场景开放奖补
     * 
     * @param ids 需要删除的场景开放奖补主键集合
     * @return 结果
     */
    public int deleteBmsSceneOpeningAwardByIds(Long[] ids);

    /**
     * 删除场景开放奖补信息
     * 
     * @param id 场景开放奖补主键
     * @return 结果
     */
    public int deleteBmsSceneOpeningAwardById(Long id);
}
