package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsTemplateInfo;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateInfoQueryVo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 申报模板信息Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsTemplateInfoService extends IService<BmsTemplateInfo> {
    /**
     * 查询申报模板信息
     * 
     * @param id 申报模板信息主键
     * @return 申报模板信息
     */
    public BmsTemplateInfo selectBmsTemplateInfoById(Long id);

    /**
     * 查询申报模板信息列表
     * 
     * @param bmsTemplateInfo 申报模板信息
     * @return 申报模板信息集合
     */
    public List<BmsTemplateInfoQueryVo> selectBmsTemplateInfoList(BmsTemplateInfo bmsTemplateInfo);

    /**
     * 导出模板表单
     *
     * @param request
     * @param response
     * @param id
     * @return
     * @author emiya.xie
     * @create 2023/8/31 10:25
     */
    public void exportTemplate(HttpServletRequest request, HttpServletResponse response, Long id);

    /**
     * 新增申报模板信息
     * 
     * @param bmsTemplateInfo 申报模板信息
     * @return 结果
     */
    public int insertBmsTemplateInfo(BmsTemplateInfo bmsTemplateInfo);

    /**
     * 修改申报模板信息
     * 
     * @param bmsTemplateInfo 申报模板信息
     * @return 结果
     */
    public int updateBmsTemplateInfo(BmsTemplateInfo bmsTemplateInfo);

    /**
     * 批量删除申报模板信息
     * 
     * @param ids 需要删除的申报模板信息主键集合
     * @return 结果
     */
    public int deleteBmsTemplateInfoByIds(Long[] ids);

    /**
     * 删除申报模板信息信息
     * 
     * @param id 申报模板信息主键
     * @return 结果
     */
    public int deleteBmsTemplateInfoById(Long id);
}
