package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsTemplateRecord;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateQueryDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateRecordAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateRecordQueryDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateRecordUpdateDto;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateRecordQueryVo;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateRecordVo;

import java.util.List;

/**
 * 在线模板Service接口
 * 
 * @author farben
 * @date 2023-09-07
 */
public interface IBmsTemplateRecordService extends IService<BmsTemplateRecord> {
    /**
     * 查询在线模板
     * 
     * @param id 在线模板主键
     * @return 在线模板
     */
    public BmsTemplateRecordVo selectBmsTemplateRecordById(Long id);

    /**
     * 查询在线模板列表
     * 
     * @param bmsTemplateRecordQueryDto 在线模板
     * @return 在线模板集合
     */
    public Page<BmsTemplateRecordQueryVo>  selectBmsTemplateRecordList(Page<BmsTemplateRecordQueryVo> page,BmsTemplateRecordQueryDto bmsTemplateRecordQueryDto);

    public List<BmsTemplateRecordQueryVo>  selectBmsTemplateRecordList(BmsTemplateRecordQueryDto bmsTemplateRecordQueryDto);

    public List<BmsTemplateRecordQueryVo> selectTemplateRecordList(String creditCode);

    public List<BmsTemplateRecordQueryVo> selectBmsTemplateNameList(BmsTemplateQueryDto bmsTemplateQueryDto);
    /**
     * 新增在线模板
     * 
     * @param bmsTemplateRecordAddDto 在线模板
     * @return 结果
     */
    public int insertBmsTemplateRecord(BmsTemplateRecordAddDto bmsTemplateRecordAddDto);

    /**
     * 修改在线模板
     * 
     * @param bmsTemplateRecordUpdateDto 在线模板
     * @return 结果
     */
    public int updateBmsTemplateRecord(BmsTemplateRecordUpdateDto bmsTemplateRecordUpdateDto);

    /**
     * 批量删除在线模板
     * 
     * @param ids 需要删除的在线模板主键集合
     * @return 结果
     */
    public int deleteBmsTemplateRecordByIds(Long[] ids);

    /**
     * 删除在线模板信息
     * 
     * @param id 在线模板主键
     * @return 结果
     */
    public int deleteBmsTemplateRecordById(Long id);

    /**
     * 补录
     * @param bmsTemplateRecordAddDto
     * @return
     */
    int supplementation(BmsTemplateRecordUpdateDto bmsTemplateRecordAddDto);
}
