package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BsmFundingInfo;

import java.util.List;

/**
 * 资金信息Service接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface IBsmFundingInfoService extends IService<BsmFundingInfo> {
    /**
     * 查询资金信息
     * 
     * @param id 资金信息主键
     * @return 资金信息
     */
    public BsmFundingInfo selectBsmFundingInfoById(Long id);

    /**
     * 查询资金信息列表
     * 
     * @param bsmFundingInfo 资金信息
     * @return 资金信息集合
     */
    public List<BsmFundingInfo> selectBsmFundingInfoList(BsmFundingInfo bsmFundingInfo);

    /**
     * 新增资金信息
     * 
     * @param bsmFundingInfo 资金信息
     * @return 结果
     */
    public int insertBsmFundingInfo(BsmFundingInfo bsmFundingInfo);

    /**
     * 修改资金信息
     * 
     * @param bsmFundingInfo 资金信息
     * @return 结果
     */
    public int updateBsmFundingInfo(BsmFundingInfo bsmFundingInfo);

    /**
     * 批量删除资金信息
     * 
     * @param ids 需要删除的资金信息主键集合
     * @return 结果
     */
    public int deleteBsmFundingInfoByIds(Long[] ids);

    /**
     * 删除资金信息信息
     * 
     * @param id 资金信息主键
     * @return 结果
     */
    public int deleteBsmFundingInfoById(Long id);
}
