package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsApprovalInfo;
import com.ruoyi.jjh.declaration.entity.vo.BmsApprovalInfoQueryVo;
import com.ruoyi.jjh.declaration.mapper.BmsApprovalInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsApprovalInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 审批记录信息Service业务层处理
 * 
 * @author farben
 * @date 2023-09-09
 */
@Service
public class BmsApprovalInfoServiceImpl extends ServiceImpl<BmsApprovalInfoMapper,BmsApprovalInfo> implements IBmsApprovalInfoService {


    /**
     * 查询审批记录信息
     * 
     * @param id 审批记录信息主键
     * @return 审批记录信息
     */
    @Override
    public BmsApprovalInfo selectBmsApprovalInfoById(Long id) {
        return baseMapper.selectBmsApprovalInfoById(id);
    }

    /**
     * 查询审批记录信息列表
     * 
     * @param bmsApprovalInfo 审批记录信息
     * @return 审批记录信息
     */
    @Override
    public List<BmsApprovalInfo> selectBmsApprovalInfoList(BmsApprovalInfo bmsApprovalInfo) {
        return baseMapper.selectBmsApprovalInfoList(bmsApprovalInfo);
    }

    /**
     * 新增审批记录信息
     * 
     * @param bmsApprovalInfo 审批记录信息
     * @return 结果
     */
    @Override
    public int insertBmsApprovalInfo(BmsApprovalInfo bmsApprovalInfo) {
        bmsApprovalInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsApprovalInfo(bmsApprovalInfo);
    }

    /**
     * 修改审批记录信息
     * 
     * @param bmsApprovalInfo 审批记录信息
     * @return 结果
     */
    @Override
    public int updateBmsApprovalInfo(BmsApprovalInfo bmsApprovalInfo) {
        bmsApprovalInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsApprovalInfo(bmsApprovalInfo);
    }

    /**
     * 批量删除审批记录信息
     * 
     * @param ids 需要删除的审批记录信息主键
     * @return 结果
     */
    @Override
    public int deleteBmsApprovalInfoByIds(Long[] ids) {
        return baseMapper.deleteBmsApprovalInfoByIds(ids);
    }

    @Override
    public int updateApproval(Long declarationRecordsId) {
        return baseMapper.updateApproval(declarationRecordsId);
    }

    @Override
    public int updateApprovalList(List<Long> recordsId) {
        return baseMapper.updateApprovalList(recordsId);
    }

    /**
     * 删除审批记录信息信息
     * 
     * @param id 审批记录信息主键
     * @return 结果
     */
    @Override
    public int deleteBmsApprovalInfoById(Long id) {
        return baseMapper.deleteBmsApprovalInfoById(id);
    }

    @Override
    public List<BmsApprovalInfoQueryVo> getApprovalInfoList(Long declarationRecordsId) {
        return baseMapper.getApprovalInfoList(declarationRecordsId);
    }
}
