package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoWorkRequest;
import com.ruoyi.jjh.declaration.mapper.BmsEnterpriseBasicInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsEnterpriseBasicInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业基础信息Service业务层处理
 * 
 * @author farben
 * @date 2023-08-25
 */
@Service
public class BmsEnterpriseBasicInfoServiceImpl extends ServiceImpl<BmsEnterpriseBasicInfoMapper,BmsEnterpriseBasicInfo> implements IBmsEnterpriseBasicInfoService {

    /**
     * 查询企业基础信息
     * 
     * @param id 企业基础信息主键
     * @return 企业基础信息
     */
    @Override
    public BmsEnterpriseBasicInfo selectBmsEnterpriseBasicInfoById(Long id) {
        return baseMapper.selectBmsEnterpriseBasicInfoById(id);
    }

    /**
     * 查询企业基础信息列表
     * 
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 企业基础信息
     */
    @Override
    public List<BmsEnterpriseBasicInfo> selectBmsEnterpriseBasicInfoList(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        return baseMapper.selectBmsEnterpriseBasicInfoList(bmsEnterpriseBasicInfo);
    }

    /**
     * 新增企业基础信息
     * 
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 结果
     */
    @Override
    public int insertBmsEnterpriseBasicInfo(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        bmsEnterpriseBasicInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsEnterpriseBasicInfo(bmsEnterpriseBasicInfo);
    }

    /**
     * 修改企业基础信息
     * 
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 结果
     */
    @Override
    public int updateBmsEnterpriseBasicInfo(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        bmsEnterpriseBasicInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsEnterpriseBasicInfo(bmsEnterpriseBasicInfo);
    }

    /**
     * 批量删除企业基础信息
     * 
     * @param ids 需要删除的企业基础信息主键
     * @return 结果
     */
    @Override
    public int deleteBmsEnterpriseBasicInfoByIds(Long[] ids) {
        return baseMapper.deleteBmsEnterpriseBasicInfoByIds(ids);
    }

    /**
     * 删除企业基础信息信息
     * 
     * @param id 企业基础信息主键
     * @return 结果
     */
    @Override
    public int deleteBmsEnterpriseBasicInfoById(Long id) {
        return baseMapper.deleteBmsEnterpriseBasicInfoById(id);
    }

    @Override
    public List<BmsEnterpriseBasicInfo> workSearch(EnterpriseInfoWorkRequest enterpriseInfoWorkRequest) {
        return baseMapper.workSearch(enterpriseInfoWorkRequest);
    }
}
