package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseDirectory;
import com.ruoyi.jjh.declaration.mapper.BmsEnterpriseDirectoryMapper;
import com.ruoyi.jjh.declaration.service.IBmsEnterpriseDirectoryService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业名录Service业务层处理
 * 
 * @author farben
 * @date 2023-08-31
 */
@Service
public class BmsEnterpriseDirectoryServiceImpl extends ServiceImpl<BmsEnterpriseDirectoryMapper,BmsEnterpriseDirectory> implements IBmsEnterpriseDirectoryService {

    /**
     * 查询企业名录
     * 
     * @param id 企业名录主键
     * @return 企业名录
     */
    @Override
    public BmsEnterpriseDirectory selectBmsEnterpriseDirectoryById(Long id) {
        return baseMapper.selectBmsEnterpriseDirectoryById(id);
    }

    /**
     * 查询企业名录列表
     * 
     * @param bmsEnterpriseDirectory 企业名录
     * @return 企业名录
     */
    @Override
    public List<BmsEnterpriseDirectory> selectBmsEnterpriseDirectoryList(BmsEnterpriseDirectory bmsEnterpriseDirectory) {
        return baseMapper.selectBmsEnterpriseDirectoryList(bmsEnterpriseDirectory);
    }

    /**
     * 新增企业名录
     * 
     * @param bmsEnterpriseDirectory 企业名录
     * @return 结果
     */
    @Override
    public int insertBmsEnterpriseDirectory(BmsEnterpriseDirectory bmsEnterpriseDirectory) {
        bmsEnterpriseDirectory.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsEnterpriseDirectory(bmsEnterpriseDirectory);
    }

    /**
     * 修改企业名录
     * 
     * @param bmsEnterpriseDirectory 企业名录
     * @return 结果
     */
    @Override
    public int updateBmsEnterpriseDirectory(BmsEnterpriseDirectory bmsEnterpriseDirectory) {
        bmsEnterpriseDirectory.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsEnterpriseDirectory(bmsEnterpriseDirectory);
    }

    /**
     * 批量删除企业名录
     * 
     * @param ids 需要删除的企业名录主键
     * @return 结果
     */
    @Override
    public int deleteBmsEnterpriseDirectoryByIds(Long[] ids) {
        return baseMapper.deleteBmsEnterpriseDirectoryByIds(ids);
    }

    /**
     * 删除企业名录信息
     * 
     * @param id 企业名录主键
     * @return 结果
     */
    @Override
    public int deleteBmsEnterpriseDirectoryById(Long id) {
        return baseMapper.deleteBmsEnterpriseDirectoryById(id);
    }
}
