package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsFieldInfo;
import com.ruoyi.jjh.declaration.mapper.BmsFieldInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsFieldInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 模板字段填写详情Service业务层处理
 * 
 * @author farben
 * @date 2023-09-04
 */
@Service
public class BmsFieldInfoServiceImpl extends ServiceImpl<BmsFieldInfoMapper,BmsFieldInfo> implements IBmsFieldInfoService {


    /**
     * 查询模板字段填写详情
     * 
     * @param id 模板字段填写详情主键
     * @return 模板字段填写详情
     */
    @Override
    public BmsFieldInfo selectBmsFieldInfoById(Long id) {
        return baseMapper.selectBmsFieldInfoById(id);
    }

    /**
     * 查询模板字段填写详情列表
     * 
     * @param bmsFieldInfo 模板字段填写详情
     * @return 模板字段填写详情
     */
    @Override
    public List<BmsFieldInfo> selectBmsFieldInfoList(BmsFieldInfo bmsFieldInfo) {
        return baseMapper.selectBmsFieldInfoList(bmsFieldInfo);
    }

    /**
     * 新增模板字段填写详情
     * 
     * @param bmsFieldInfo 模板字段填写详情
     * @return 结果
     */
    @Override
    public int insertBmsFieldInfo(BmsFieldInfo bmsFieldInfo) {
        bmsFieldInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsFieldInfo(bmsFieldInfo);
    }

    /**
     * 修改模板字段填写详情
     * 
     * @param bmsFieldInfo 模板字段填写详情
     * @return 结果
     */
    @Override
    public int updateBmsFieldInfo(BmsFieldInfo bmsFieldInfo) {
        bmsFieldInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsFieldInfo(bmsFieldInfo);
    }

    /**
     * 批量删除模板字段填写详情
     * 
     * @param ids 需要删除的模板字段填写详情主键
     * @return 结果
     */
    @Override
    public int deleteBmsFieldInfoByIds(Long[] ids) {
        return baseMapper.deleteBmsFieldInfoByIds(ids);
    }

    /**
     * 删除模板字段填写详情信息
     * 
     * @param id 模板字段填写详情主键
     * @return 结果
     */
    @Override
    public int deleteBmsFieldInfoById(Long id) {
        return baseMapper.deleteBmsFieldInfoById(id);
    }
}
