package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsFileInfo;
import com.ruoyi.jjh.declaration.mapper.BmsFileInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsFileInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 文件存储说明详情Service业务层处理
 * 
 * @author farben
 * @date 2023-09-04
 */
@Service
public class BmsFileInfoServiceImpl extends ServiceImpl<BmsFileInfoMapper,BmsFileInfo> implements IBmsFileInfoService {


    /**
     * 查询文件存储说明详情
     * 
     * @param id 文件存储说明详情主键
     * @return 文件存储说明详情
     */
    @Override
    public BmsFileInfo selectBmsFileInfoById(Long id) {
        return baseMapper.selectBmsFileInfoById(id);
    }

    /**
     * 查询文件存储说明详情列表
     * 
     * @param bmsFileInfo 文件存储说明详情
     * @return 文件存储说明详情
     */
    @Override
    public List<BmsFileInfo> selectBmsFileInfoList(BmsFileInfo bmsFileInfo) {
        return baseMapper.selectBmsFileInfoList(bmsFileInfo);
    }

    /**
     * 新增文件存储说明详情
     * 
     * @param bmsFileInfo 文件存储说明详情
     * @return 结果
     */
    @Override
    public int insertBmsFileInfo(BmsFileInfo bmsFileInfo) {
        bmsFileInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsFileInfo(bmsFileInfo);
    }

    /**
     * 修改文件存储说明详情
     * 
     * @param bmsFileInfo 文件存储说明详情
     * @return 结果
     */
    @Override
    public int updateBmsFileInfo(BmsFileInfo bmsFileInfo) {
        bmsFileInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsFileInfo(bmsFileInfo);
    }

    /**
     * 批量删除文件存储说明详情
     * 
     * @param ids 需要删除的文件存储说明详情主键
     * @return 结果
     */
    @Override
    public int deleteBmsFileInfoByIds(Long[] ids) {
        return baseMapper.deleteBmsFileInfoByIds(ids);
    }

    /**
     * 删除文件存储说明详情信息
     * 
     * @param id 文件存储说明详情主键
     * @return 结果
     */
    @Override
    public int deleteBmsFileInfoById(Long id) {
        return baseMapper.deleteBmsFileInfoById(id);
    }
}
