package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;
import com.ruoyi.jjh.declaration.mapper.BmsFundingDetailMapper;
import com.ruoyi.jjh.declaration.service.IBmsFundingDetailService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资金信息详情Service业务层处理
 * 
 * @author farben
 * @date 2023-09-04
 */
@Service
public class BmsFundingDetailServiceImpl extends ServiceImpl<BmsFundingDetailMapper,BmsFundingDetail> implements IBmsFundingDetailService {


    /**
     * 查询资金信息详情
     * 
     * @param id 资金信息详情主键
     * @return 资金信息详情
     */
    @Override
    public BmsFundingDetail selectBmsFundingDetailById(Long id) {
        return baseMapper.selectBmsFundingDetailById(id);
    }

    /**
     * 查询资金信息详情列表
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 资金信息详情
     */
    @Override
    public List<BmsFundingDetail> selectBmsFundingDetailList(BmsFundingDetail bmsFundingDetail) {
        return baseMapper.selectBmsFundingDetailList(bmsFundingDetail);
    }

    /**
     * 新增资金信息详情
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 结果
     */
    @Override
    public int insertBmsFundingDetail(BmsFundingDetail bmsFundingDetail) {
        bmsFundingDetail.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsFundingDetail(bmsFundingDetail);
    }

    /**
     * 修改资金信息详情
     * 
     * @param bmsFundingDetail 资金信息详情
     * @return 结果
     */
    @Override
    public int updateBmsFundingDetail(BmsFundingDetail bmsFundingDetail) {
        bmsFundingDetail.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsFundingDetail(bmsFundingDetail);
    }

    /**
     * 批量删除资金信息详情
     * 
     * @param ids 需要删除的资金信息详情主键
     * @return 结果
     */
    @Override
    public int deleteBmsFundingDetailByIds(Long[] ids) {
        return baseMapper.deleteBmsFundingDetailByIds(ids);
    }

    /**
     * 删除资金信息详情信息
     * 
     * @param id 资金信息详情主键
     * @return 结果
     */
    @Override
    public int deleteBmsFundingDetailById(Long id) {
        return baseMapper.deleteBmsFundingDetailById(id);
    }
}
