package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsProcessInfo;
import com.ruoyi.jjh.declaration.mapper.BmsProcessInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsProcessInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 审批流程Service业务层处理
 * 
 * @author farben
 * @date 2023-09-09
 */
@Service
public class BmsProcessInfoServiceImpl extends ServiceImpl<BmsProcessInfoMapper,BmsProcessInfo> implements IBmsProcessInfoService {

    /**
     * 查询审批流程
     * 
     * @param id 审批流程主键
     * @return 审批流程
     */
    @Override
    public BmsProcessInfo selectBmsProcessInfoById(Long id) {
        return baseMapper.selectBmsProcessInfoById(id);
    }

    /**
     * 查询审批流程列表
     * 
     * @param bmsProcessInfo 审批流程
     * @return 审批流程
     */
    @Override
    public List<BmsProcessInfo> selectBmsProcessInfoList(BmsProcessInfo bmsProcessInfo) {
        return baseMapper.selectBmsProcessInfoList(bmsProcessInfo);
    }

    /**
     * 新增审批流程
     * 
     * @param bmsProcessInfo 审批流程
     * @return 结果
     */
    @Override
    public int insertBmsProcessInfo(BmsProcessInfo bmsProcessInfo) {
        bmsProcessInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsProcessInfo(bmsProcessInfo);
    }

    /**
     * 修改审批流程
     * 
     * @param bmsProcessInfo 审批流程
     * @return 结果
     */
    @Override
    public int updateBmsProcessInfo(BmsProcessInfo bmsProcessInfo) {
        bmsProcessInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsProcessInfo(bmsProcessInfo);
    }

    /**
     * 批量删除审批流程
     * 
     * @param ids 需要删除的审批流程主键
     * @return 结果
     */
    @Override
    public int deleteBmsProcessInfoByIds(Long[] ids) {
        return baseMapper.deleteBmsProcessInfoByIds(ids);
    }

    /**
     * 删除审批流程信息
     * 
     * @param id 审批流程主键
     * @return 结果
     */
    @Override
    public int deleteBmsProcessInfoById(Long id) {
        return baseMapper.deleteBmsProcessInfoById(id);
    }
}
