package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BmsProjectInfo;
import com.ruoyi.jjh.declaration.mapper.BmsProjectInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsProjectInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 项目基本信息Service业务层处理
 * 
 * @author farben
 * @date 2023-09-09
 */
@Service
public class BmsProjectInfoServiceImpl extends ServiceImpl<BmsProjectInfoMapper,BmsProjectInfo> implements IBmsProjectInfoService {


    /**
     * 查询项目基本信息
     * 
     * @param id 项目基本信息主键
     * @return 项目基本信息
     */
    @Override
    public BmsProjectInfo selectBmsProjectInfoById(Long id) {
        return baseMapper.selectBmsProjectInfoById(id);
    }

    /**
     * 查询项目基本信息列表
     * 
     * @param bmsProjectInfo 项目基本信息
     * @return 项目基本信息
     */
    @Override
    public List<BmsProjectInfo> selectBmsProjectInfoList(BmsProjectInfo bmsProjectInfo) {
        return baseMapper.selectBmsProjectInfoList(bmsProjectInfo);
    }

    /**
     * 新增项目基本信息
     * 
     * @param bmsProjectInfo 项目基本信息
     * @return 结果
     */
    @Override
    public int insertBmsProjectInfo(BmsProjectInfo bmsProjectInfo) {
        bmsProjectInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBmsProjectInfo(bmsProjectInfo);
    }

    /**
     * 修改项目基本信息
     * 
     * @param bmsProjectInfo 项目基本信息
     * @return 结果
     */
    @Override
    public int updateBmsProjectInfo(BmsProjectInfo bmsProjectInfo) {
        bmsProjectInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBmsProjectInfo(bmsProjectInfo);
    }

    /**
     * 批量删除项目基本信息
     * 
     * @param ids 需要删除的项目基本信息主键
     * @return 结果
     */
    @Override
    public int deleteBmsProjectInfoByIds(Long[] ids) {
        return baseMapper.deleteBmsProjectInfoByIds(ids);
    }

    /**
     * 删除项目基本信息信息
     * 
     * @param id 项目基本信息主键
     * @return 结果
     */
    @Override
    public int deleteBmsProjectInfoById(Long id) {
        return baseMapper.deleteBmsProjectInfoById(id);
    }

    @Override
    public BmsProjectInfo getProjectInfo(Long templateRecordId){
        return baseMapper.getProjectInfo(templateRecordId);
    }
}
