package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.jjh.declaration.entity.BsmFundingInfo;
import com.ruoyi.jjh.declaration.mapper.BsmFundingInfoMapper;
import com.ruoyi.jjh.declaration.service.IBsmFundingInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资金信息Service业务层处理
 * 
 * @author farben
 * @date 2023-08-25
 */
@Service
public class BsmFundingInfoServiceImpl extends ServiceImpl<BsmFundingInfoMapper,BsmFundingInfo> implements IBsmFundingInfoService {

    /**
     * 查询资金信息
     * 
     * @param id 资金信息主键
     * @return 资金信息
     */
    @Override
    public BsmFundingInfo selectBsmFundingInfoById(Long id) {
        return baseMapper.selectBsmFundingInfoById(id);
    }

    /**
     * 查询资金信息列表
     * 
     * @param bsmFundingInfo 资金信息
     * @return 资金信息
     */
    @Override
    public List<BsmFundingInfo> selectBsmFundingInfoList(BsmFundingInfo bsmFundingInfo) {
        return baseMapper.selectBsmFundingInfoList(bsmFundingInfo);
    }

    /**
     * 新增资金信息
     * 
     * @param bsmFundingInfo 资金信息
     * @return 结果
     */
    @Override
    public int insertBsmFundingInfo(BsmFundingInfo bsmFundingInfo) {
        bsmFundingInfo.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertBsmFundingInfo(bsmFundingInfo);
    }

    /**
     * 修改资金信息
     * 
     * @param bsmFundingInfo 资金信息
     * @return 结果
     */
    @Override
    public int updateBsmFundingInfo(BsmFundingInfo bsmFundingInfo) {
        bsmFundingInfo.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateBsmFundingInfo(bsmFundingInfo);
    }

    /**
     * 批量删除资金信息
     * 
     * @param ids 需要删除的资金信息主键
     * @return 结果
     */
    @Override
    public int deleteBsmFundingInfoByIds(Long[] ids) {
        return baseMapper.deleteBsmFundingInfoByIds(ids);
    }

    /**
     * 删除资金信息信息
     * 
     * @param id 资金信息主键
     * @return 结果
     */
    @Override
    public int deleteBsmFundingInfoById(Long id) {
        return baseMapper.deleteBsmFundingInfoById(id);
    }
}
