package com.ruoyi.jjh.declaration.single.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 单点登录用户信息响应类
 *
 * @author dong
 * @since 2024/5/27 10:55
 */
@ApiModel(value = "法人用户")
@Data
public class UserResponse implements Serializable {
    private static final long serialVersionUID = -5117946174934452302L;

    /**
     * 登录账号名
     */
    @ApiModelProperty(value = "登录账号名")
    private String loginname;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String username;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private String userid;

    /**
     * 权限
     */
    @ApiModelProperty(value = "权限")
    private String email;

    /**
     * 手机号码
     */
    @ApiModelProperty(value = "手机号码")
    private String mobileno;

    /**
     * 用户类型，ep-表示法人用户
     */
    @ApiModelProperty(value = "用户类型，ep-表示法人用户")
    private String usertype;


    /**
     * 角色类型，legal-法定代表人,admin-管理员,user
     */
    @ApiModelProperty(value = "角色类型，legal-法定代表人,admin-管理员,user-业务经办")
    private String roletype;
    /**
     * 若依token
     */
    @ApiModelProperty(value = "若依token")
    private String token;



    @ApiModelProperty(value = "企业机构代码")
    private  UserMainResponse main;
}
