package com.ruoyi.jjh.ent.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业联系人信息(存在多个)（j_contacts）表控制层
 * @author du
 * @since 2024/5/13 9:49
 */
@Data
@ApiModel("企业联系人信息(存在多个)")
@TableName(value = "j_contacts")
public class JContacts extends BaseInfoEntity {

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 联系人姓名
     */
    @Excel(name = "联系人姓名")
    @ApiModelProperty("联系人姓名")
    private String contactName;

    /**
     * 公司职务
     */
    @Excel(name = "公司职务")
    @ApiModelProperty("公司职务")
    private String firmOffice;

    /**
     * 企业统一社会信用代码
     */
    @Excel(name = "企业统一社会信用代码")
    @ApiModelProperty("企业统一社会信用代码")
    private String creditCode;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String phone;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    @ApiModelProperty("邮箱")
    private String email;


    /**
     * 创建id
     */
    @JSONField(serialize=false)
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 更新id
     */
    @JSONField(serialize=false)
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;
}
