package com.ruoyi.jjh.ent.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业联系人（j_enterprise_contact）表实体类
 * @author du
 * @since 2024/5/13 9:49
 */
@Data
@ApiModel("企业联系人表")
@TableName(value = "j_enterprise_contact")
public class JEnterpriseContact extends BaseInfoEntity {

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty("企业名称")
    private String enterpriseName;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    @ApiModelProperty("统一社会信用代码")
    private String enterpriseCode;

    /**
     * 常用联系人姓名
     */
    @Excel(name = "常用联系人姓名")
    @ApiModelProperty("常用联系人姓名")
    private String contactName;

    /**
     * 常用联系人职务
     */
    @Excel(name = "常用联系人职务")
    @ApiModelProperty("常用联系人职务")
    private String contactOffice;

    /**
     * 常用联系人手机号
     */
    @Excel(name = "常用联系人手机号")
    @ApiModelProperty("常用联系人手机号")
    private String contactPhone;

    /**
     * 常用联系人邮箱
     */
    @Excel(name = "常用联系人邮箱")
    @ApiModelProperty("常用联系人邮箱")
    private String contactEmail;


    /**
     * 创建id
     */
    @JSONField(serialize=false)
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 更新id
     */
    @JSONField(serialize=false)
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;
}
