package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 项目表(JProject)表实体类
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
@ApiModel("项目表")
@TableName(value = "j_project")
@Data
public class JProject{
    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String projectName;


    /**
     * 项目分类
     */
    @Excel(name = "项目分类", readConverterExp = "1=总部经济," +
            "2=自主品牌先进技术研究院," +
            "3=省现代服务业重点项目," +
            "4=省市服务业领军企业," +
            "5=省级现代服务业集聚区," +
            "6=两业融合试点单位," +
            "7=楼宇经济," +
            "8=工业设计中心," +
            "9=工业设计研究院," +
            "10=服务型制造示范")
    @ApiModelProperty("项目分类")
    private Integer projectClassify;

    /**
     * 申报单位
     */
    @Excel(name = "申报单位")
    @ApiModelProperty("申报单位")
    private String declareUnit;

    /**
     * 企业信用代码
     */
    @Excel(name = "企业信用代码")
    @ApiModelProperty("企业信用代码")
    private String creditCode;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String projectYear;

    /**
     * 其余字段和数据
     */
    @Excel(name = "其余字段和数据")
    @ApiModelProperty("其余字段和数据")
    private String otherJson;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    /**
     * 创建ID
     */
    @ApiModelProperty("创建ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者ID
     */
    @ApiModelProperty("更新者ID")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 文件json
     */
    @ApiModelProperty("文件json")
    private String fileJson;
}

