package com.ruoyi.jjh.ent.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author du
 * @since 2024/3/26 10:48
 */
@Data
@ApiModel("备忘录请求类")
public class JMemorandumRequest {

    /**
     * 项目库关联ID
     */
    @ApiModelProperty("项目库关联ID")
    private Long projectId;

    /**
     * 分类
     */
    @ApiModelProperty("名字,1=企业信息库的id,2=项目库对应的id")
    private String type;

    /**
     * 名字
     */
    @ApiModelProperty("名字")
    private String name;

    /**
     * 开始时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private Date endTime;
}
