package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;
import com.ruoyi.jjh.declaration.entity.vo.BmsApprovalInfoQueryVo;
import com.ruoyi.jjh.ent.entity.JProject;

import java.io.Serializable;
import java.util.List;
import java.util.Map;


/**
 * 项目表(JProject)表服务接口
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
public interface JProjectService extends IService<JProject> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jProject 查询实体
     * @return 所有数据
     */
    Page<JProject> page(Page<JProject> page, JProject jProject);

    /**
     * 通过主键查询该项目的在线流程
     *
     * @param id 主键
     * @return 单条数据
     */
    List<BmsApprovalInfoQueryVo> getApprovalInfoList(Serializable id);

    String getJsonString(List<BmsFundingDetail> obj);

    String allJsonString(String a1,String a2,String a3,String a4);

    /**
     * 项目统一添加到项目库
     * @param allJson
     */
    Long saveProject(Map<String, String> allJson);

    void updateTheJson( Map<String, String> allJson);

    /**
     * 作业台查询所有项目
     *
     * @param jProject 查询实体
     * @return 所有数据
     */
    List<JProject> selectAll(String jProject);


}

