package com.ruoyi.jjh.ent.service.impl;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;
import com.ruoyi.jjh.declaration.entity.vo.BmsApprovalInfoQueryVo;
import com.ruoyi.jjh.declaration.service.IBmsDeclarationRecordsService;
import com.ruoyi.jjh.declaration.service.IBmsTemplateInfoService;
import com.ruoyi.jjh.ent.mapper.JProjectMapper;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 项目表(JProject)表服务实现类
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
@Service("jProjectService")
public class JProjectServiceImpl extends ServiceImpl<JProjectMapper, JProject> implements JProjectService {


    @Resource
    private IBmsDeclarationRecordsService iBmsDeclarationRecordsService;

    @Resource
    private IBmsTemplateInfoService iBmsTemplateInfoService;
    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jProject 查询实体
     * @return 所有数据
     */
    @Override
    public Page<JProject> page(Page<JProject> page, JProject jProject) {
        return baseMapper.page(page,jProject);
    }

    /**
     * 通过主键查询该项目的在线流程
     *
     * @param id 主键
     * @return 单条数据
     */
    @Override
    public List<BmsApprovalInfoQueryVo> getApprovalInfoList(Serializable id) {
        return baseMapper.getApprovalInfoList(id);
    }

    @Override
    public String getJsonString(List<BmsFundingDetail>  fund) {
        StringBuilder str = new StringBuilder();
        //金额
        str.append("{");
        for (BmsFundingDetail v1 : fund) {
            str.append('"').append(v1.getYear()).append(v1.getIllustrate()).append('"').append(":").append('"').append(v1.getAmount()).append('"').append(",");
        }
        str.append("}");
        return String.valueOf(str);
    }

    @Override
    public String allJsonString(String a1, String a2, String a3, String a4) {
        // 创建一个新的JSON对象，并将两个JSON对象合并到新对象中
        JSONObject mergedObj = new JSONObject();
        mergedObj.putAll(JSONObject.parseObject(a1));
        mergedObj.putAll(JSONObject.parseObject(a2));
        mergedObj.putAll(JSONObject.parseObject(a3));
        mergedObj.putAll(JSONObject.parseObject(a4));
        return mergedObj.toJSONString();
    }

    /**
     * 项目统一添加到项目库
     * @param allJson
     */
    @Override
    public Long saveProject(Map<String, String> allJson) {
        JProject jP = new JProject();
        jP.setCreditCode(allJson.get("credit_code"));
        jP.setProjectYear(allJson.get("year"));
        jP.setProjectName(allJson.get("projectName"));
        jP.setDeclareUnit(allJson.get("declareUnit"));
        jP.setProjectClassify(iBmsTemplateInfoService.getById(allJson.get("templateId")).getProjectClassify());
        jP.setStatus(1);
        jP.setOtherJson(allJson.get("otherJson"));
        jP.setFileJson(allJson.get("fileJson"));
        this.save(jP);
        return jP.getId();
    }


    @Override
    public void updateTheJson(Map<String, String> allJson) {
        //修改项目
        JProject jP = new JProject();
        jP.setId(Long.valueOf(allJson.get("jjhProjectId")));
        jP.setStatus(1);
        jP.setOtherJson(allJson.get("otherJson"));
        jP.setFileJson(allJson.get("fileJson"));
        baseMapper.updateById(jP);
    }

    @Override
    public List<JProject> selectAll(String jProject) {
        return baseMapper.selectAll(jProject);
    }


}

